
;/* Alien Wave Tasks
  * 
  * $Project	: <<< ENIGMA >>>
  * $Level No.	: <<< LEVEL ONE >>>
  * $Author(s)	: Lee Smith & Trevor Mensah
  *
  * $Alien Wave	: 1
  * $Difficulty	: Easy, No random elements
  * $Info	: A Swirly pattern of small pink probe aliens swirl around
  *		: four times then buzz off..
  */

 BEGIN_PROC	Wave1_1 -----------------------------------------------------
		WAIT	10*1
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_2 -----------------------------------------------------
		WAIT	10*2
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_3 -----------------------------------------------------
		WAIT	10*3
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_4 -----------------------------------------------------
		WAIT	10*4
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_5 -----------------------------------------------------
		WAIT	10*5
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_6 -----------------------------------------------------
		WAIT	10*6
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_7 -----------------------------------------------------
		WAIT	10*7
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_8 -----------------------------------------------------
		WAIT	10*8
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_9 -----------------------------------------------------
		WAIT	10*9
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Wave1_10 ----------------------------------------------------
		WAIT	10*10
		DO_PROC	Swirly
 PROC_RTS

 BEGIN_PROC	Swirly ------------------------------------------------------

		SETANIM _probe1,0		-- set alien animation
		SETRPOS	0, 0, 100,  50,XMAX, 100	-- set rotation pos
		ROTATE	6, 6, 000,-001,-002, 000, 175   -- do the rotation

		WAIT	75

		SETANIM _probe1,2		-- set alien animation
		SETRPOS	0, 0, 130,  80,500, -60	-- set rotation pos
		ROTATE	4, 5, 000,-001,000, 001, 185   -- do the rotation
		ROTATE	4, 2, 000,-001,000, 001, 40   -- do the rotation
		ROTATE	5, 2, 000,-001,000, 001, 45   -- do the rotation
		ROTATE	6, 1, 004,-001,-002, 000, 30   -- do the rotation
		ROTATE	4, 1, 004,000,-001, 000, 35   -- do the rotation

		WAIT	85

		SETANIM _probe1,1		-- set alien animation
		SETRPOS	0, 0, 110,  60,XMAX, 200	-- set rotation pos
		ROTATE	4,0,0,0,-6,0,40
		ROTATE	5, 5, 000,-001,-000, -001, 215   -- do the rotation

		WAIT	85

		SETANIM _probe1,3		-- set alien animation
		SETRPOS	0, 0, 120,  70,0, 100	-- set rotation pos
		ROTATE	4, 4, 000,-001,002, 000, 135   -- do the rotation
		ROTATE	5, 3, 000,-001,002, -001, 160   -- do the rotation


		DO_PROC	WaitSync	-- wait for alien sync
 PROC_RTS
