;/* Alien Wave Tasks
  * 
  * $Project	: <<< ENIGMA >>>
  * $Level No.	: <<< LEVEL ONE >>>
  * $Alien Wave	: <<< 6 >>>
  * $Author(s)	: Lee Smith & Trevor Mensah
  *
  * $Difficulty	: OK if you have an autofire and you keep moving
  * $Info	: A simple wave of hoverships and fighters that make a basic
  *		: kamikaze run for the other side of the screen
  */


 BEGIN_PROC	Wave6_1 -----------------------------------------------------

		WAIT	10
		SETANIM	_Fighter
		DO_PROC	test3x12
 PROC_RTS

 BEGIN_PROC	Wave6_2 -----------------------------------------------------

		WAIT	15
		SETANIM	_hovership
		SETREG	400,R4
		SETREG	4,R0
		DO_PROC	upandout
		DO_PROC Test2X12
 PROC_RTS

 BEGIN_PROC	Wave6_3 -----------------------------------------------------

		WAIT	30
		SETANIM	_Fighter
		SETREG	300,R4
		SETREG	6,R0
		DO_PROC	upandout
		DO_PROC Test2X12
 PROC_RTS

 BEGIN_PROC	Wave6_4 -----------------------------------------------------

		WAIT	45
		SETANIM	_hovership
		DO_PROC	test3x12
 PROC_RTS

 BEGIN_PROC	Wave6_5 -----------------------------------------------------

		WAIT	59
		SETANIM	_Fighter
		DO_PROC	test3x12
 PROC_RTS

 BEGIN_PROC	Wave6_6 -----------------------------------------------------

		WAIT	55
		SETANIM	_hovership
		SETREG	200,R4
		SETREG	5,R0
		DO_PROC	upandout
		DO_PROC Test2X12
 PROC_RTS

 BEGIN_PROC	Wave6_7 -----------------------------------------------------

		WAIT	60
		SETANIM	_Fighter
		DO_PROC	test3x12
 PROC_RTS

 BEGIN_PROC	Wave6_8 -----------------------------------------------------

		WAIT	65
		SETANIM	_hovership
		DO_PROC	test3x12
 PROC_RTS

 BEGIN_PROC	Wave6_9 -----------------------------------------------------

		DO_PROC	WaitEmptyTask
 PROC_RTS

 BEGIN_PROC	Wave6_10 -----------------------------------------------------

		DO_PROC	WaitEmptyTask
 PROC_RTS


 BEGIN_PROC	test3x12 ------------------------------------------------------

loop3:
		DO_PROC	test3
		LOOP	8,loop3
		DO_PROC	Waitsync

 PROC_RTS

 BEGIN_PROC	test2x12 ------------------------------------------------------

loop32:
		DO_PROC	Test3
		LOOP	7,loop32
		DO_PROC	Waitsync

 PROC_RTS

 BEGIN_PROC	Test3 *********************************************************

		SETREG	3,R2
		GETRND	6,R3
		ADDREG	R2,R3
		SETREG	40,R1
		GETRND	180,R0
		ADDREG	R1,R0
		SETPOS	ScrNonVisRight,R0
		SUBXY	R3,0,UNTIL_LIMITS

 PROC_RTS		

 BEGIN_PROC	upandout ********************************************************

		

		SETRPOS	 000, 000, 300, 050, R4, 280		-- init position
		ROTATE	 000,  R0, 000, 000, 000,-002, 90	-- change ypos

		WAIT	 20					-- wait some time
		ROTATE	-002, 000, 000, 000,-003, 000, 60	-- go back fast
 PROC_RTS
