
;/* Alien Wave Tasks
  * 
  * $Project	: <<< ENIGMA >>>
  * $Level No.	: <<< LEVEL ONE >>>
  * $Alien Wave	: <<< 2 >>>
  * $Author(s)	: Lee Smith & Trevor Mensah
  *
  * $Difficulty	: Easy, No random elements
  * $Info	: Move two lots of 4 aliens up (from bottom right) 
  *		: then slide em on fast. Two passes done in sets of 4..
  */

 BEGIN_PROC	Wave2_1 -----------------------------------------------------

		SETANIM	_Bomber
	
		SETRPOS	0,0,300,0,XMAX,180
		ROTATE	-002, 000, 000, 000,-007, 000, 130	-- go back fast
		SETREG	6,R0			-- up speed
		SETREG	50,R1			-- delay before fast on
		SETREG	80,R2			-- loops
		DO_PROC	UpAndFastOn
		DO_PROC	Takeoff
		WAIT	80
		SETREG	40,R4
		DO_PROC sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_2 -----------------------------------------------------

		SETANIM	_Bomber
		WAIT	5
		SETRPOS	0,0,300,0,XMAX,140
		ROTATE	-002, 000, 000, 000,-007, 000, 130	-- go back fast
		WAIT	2*10

		SETREG	5,R0
		SETREG	40,R1
		SETREG	80,R2			-- loops
		DO_PROC	UpAndFastOn
		WAIT	30
		DO_PROC	Takeoff
		WAIT	160
		SETREG	80,R4
		DO_PROC Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_3 -----------------------------------------------------

		SETANIM	_Bomber
		WAIT	10
		SETRPOS	0,0,300,0,XMAX,100
		ROTATE	-002, 000, 000, 000,-007, 000, 130	-- go back fast
		WAIT	4*10

		SETREG	4,R0
		SETREG	30,R1
		SETREG	80,R2			-- loops
		DO_PROC	UpAndFastOn
		WAIT	60
		DO_PROC	Takeoff
		WAIT	80
		SETREG	120,R4
		DO_PROC	Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_4 -----------------------------------------------------

		SETANIM	_Bomber
		WAIT	15
		SETRPOS	0,0,300,0,XMAX,60
		ROTATE	-002, 000, 000, 000,-007, 000, 130	-- go back fast
		WAIT	6*10

		SETREG	3,R0
		SETREG	5,R1
		SETREG	95,R2			-- loops
		DO_PROC	UpAndFastOn
		WAIT	90
		DO_PROC	Takeoff
		WAIT	80
		SETREG	160,R4
		DO_PROC	Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_5 -----------------------------------------------------

		WAIT	6*10

		SETREG	6,R0
		SETREG	50,R1
		SETREG	80,R2			-- loops
		DO_PROC	UpAndFastOn2
		DO_PROC	UpAndFastOn2
		WAIT	20
		DO_PROC	Takeoff
		SETREG	80,R4
		DO_PROC	Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_6 -----------------------------------------------------

		WAIT	8*10

		SETREG	5,R0
		SETREG	40,R1
		SETREG	80,R2			-- loops
		DO_PROC	UpAndFastOn2
		DO_PROC	UpAndFastOn2
		WAIT	65
		DO_PROC	Takeoff
		SETREG	60,R4
		DO_PROC	Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_7 -----------------------------------------------------

		WAIT	10*10

		SETREG	4,R0
		SETREG	30,R1
		SETREG	80,R2			-- loops
		DO_PROC	UpAndFastOn2
		DO_PROC	UpAndFastOn2
		WAIT	110
		DO_PROC	Takeoff
		SETREG	100,R4
		DO_PROC	Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_8 -----------------------------------------------------

		WAIT	12*10

		SETREG	3,R0
		SETREG	5,R1
		SETREG	95,R2			-- loops
		DO_PROC	UpAndFastOn2
		DO_PROC	UpAndFastOn2
		WAIT	155
		SETREG	140,R4
		DO_PROC	Sodoff
		DO_PROC	Sodoff
		DO_PROC	Waitsync
 PROC_RTS

 BEGIN_PROC	Wave2_9 -----------------------------------------------------

		DO_PROC	WaitEmptyTask
 PROC_RTS

 BEGIN_PROC	Wave2_10 -----------------------------------------------------

		DO_PROC	WaitEmptyTask
 PROC_RTS


 BEGIN_PROC	UpAndFastOn -------------------------------------------------

		SETANIM _bomber			-- set bomber animation

		SETRPOS	 000, 000, 300, 050, 600, 300		-- init position
		ROTATE	 000,  R0, 000, 000, 000,-002, R2	-- change ypos

		WAIT	 R1					-- wait some time
		ROTATE	-002, 000, 000, 000,-005, 000, 100	-- go back fast

 PROC_RTS
 BEGIN_PROC	UpAndFastOn2 -------------------------------------------------

		SETANIM _bomber			-- set bomber animation


		SETRPOS	 000, 000, 300, 050, 600, 280		-- init position
		ROTATE	 000,  R0, 000, 000, 000,-002, R2	-- change ypos

		WAIT	 R1					-- wait some time
		ROTATE	-002, 000, 000, 000,-005, 000, 100	-- go back fast

 PROC_RTS
 BEGIN_PROC	Takeoff -------------------------------------------------

		SETANIM _bomber		-- set bomber animation

		SETRPOS	 000, 000, 300, 040, ScrNonVisRight, 190	-- init position
		ROTATE	 000, 000, 000, 000, -002, 000, 60
		ROTATE	 000,  R0, 000, 000, 000,-001, R2	-- change ypos

		WAIT	 R1					-- wait some time
		ROTATE	-002, 000, 000, 000,-005, 000, 100	-- go back fast

 PROC_RTS
 BEGIN_PROC	Sodoff -------------------------------------------------

		SETANIM _bomber		-- set bomber animation

		SETRPOS	 000, 000, 300, 000, ScrNonVisRight, R4	-- init position
		ROTATE	 000, 000, 000, 000, -004, 000, 30
		WAIT	 R1					-- wait some time
		ROTATE	-002, 000, 000, 000,-005, 000, 100	-- go back fast

 PROC_RTS
