;/* Alien Wave Tasks
  * 
  * $Project	: <<< ENIGMA >>>
  * $Level No.	: <<< LEVEL ONE >>>
  * $Alien Wave	: <<< 9 >>>
  * $Author(s)	: Lee Smith & Trevor Mensah
  *
  * $Difficulty	: easy-ish
  * $Info	: fire/dodge the probes as they bounce off the right of 
  *		: the screen
  */

;/* Wave 9
  * ------
  * Using tasks 1 to 10.. 
  */

 BEGIN_PROC	Wave9_1
		WAIT	0
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_2
		WAIT	5
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_3
		WAIT	10
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_4
		WAIT	15
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_5
		WAIT	20
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_6
		WAIT	25
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_7
		WAIT	30
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_8
		WAIT	35
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_9
		WAIT	40
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS
 BEGIN_PROC	Wave9_10
		WAIT	45
		SETRPOS	0,0,140,10,0,10
		DO_PROC	Bounce
 PROC_RTS

 BEGIN_PROC	Bounce *****************************************************

		SETANIM	_probe1,1
		ROTATE	0,0,0,0,10,0,70
		ROTATE	-4,0,2,0,0,0,65
		ROTATE	4,0,2,0,0,1,65
		ROTATE	-4,0,2,0,0,1,65
		ROTATE	4,0,1,0,0,1,65
		ROTATE	-4,0,0,0,0,-1,31
		ROTATE	4,0,0,0,0,-1,31
		ROTATE	-4,0,0,0,0,-1,31
		ROTATE	4,0,0,0,0,-1,31
		ROTATE	-4,0,0,0,0,1,31
		ROTATE	4,0,0,0,0,1,31
		ROTATE	-4,0,0,0,0,-2,31
		ROTATE	4,0,0,0,0,-2,31
		ROTATE	-4,0,0,0,0,1,31
		ROTATE	4,0,0,0,0,1,31
		ROTATE	-4,0,0,0,0,-1,31
		ROTATE	4,0,0,0,0,-1,31
		ROTATE	-4,0,0,0,0,0,31
		ROTATE	4,0,0,0,0,1,31
		ROTATE	-4,0,4,0,0,2,31
		DO_PROC	Waitsync
 PROC_RTS
