
;/* Animations Def`s File
  * 
  * Project	:	<< AMIGA 'ENIGMA' AGA >>
  * Level Bank	:	<< LEVEL ONE >>
  * Animations	:	33
  * Revision	:	2
  * Graphics	:	By Danny Hammonds
  *
  * Copyright 1996 Centillion Ltd.
  * All Rights Are Reserved
  *
  */
		auto	\wo work:Enigma/Level1/NewAnims.bnk\
		include	's:scriptglue.i'
		incdir	'coding:EnigmaAnims/Lev1/'

;/* Animation Definitions table */

AnimTable:	dc.l	Explode64x64			* 00: 64x64 explosion
		dc.l	Explode64x37			* 01: 64x37 explosion
		dc.l	Explode64x21			* 02: 64x21 explosion
		dc.l	Explode32x27			* 03: 32x27 explosion
		dc.l	Explode32x16			* 04: 32x16 explosion
		dc.l	Token				* 05: Token anim
		dc.l	Weapon1				* 06:
		dc.l	Weapon2				* 07:
		dc.l	Weapon3				* 08:
		dc.l	Bullet				* 09:
		dc.l	bomber				* 10:
		dc.l	bigprojx			* 11:
		dc.l	bigrock1			* 12:
		dc.l	cell				* 13:
		dc.l	eggtimer			* 14:
		dc.l	fighter				* 15:
		dc.l	finship				* 16:
		dc.l	greenswirly			* 17:
		dc.l	hovership			* 18:
		dc.l	jellypulp			* 19:
		dc.l	medrock1			* 20:
		dc.l	medrock2			* 21:
		dc.l	medrock3			* 22:
		dc.l	probe1				* 23:
		dc.l	probe2				* 24:
		dc.l	pumpship			* 25:
		dc.l	revlasship			* 26:
		dc.l	shockship			* 27:
		dc.l	smallrock1			* 28:
		dc.l	smallrock2			* 29:
		dc.l	tinyprojx			* 30:
		dc.l	tinyvoyager			* 31:
		dc.l	voyager				* 32:
		dc.l	0

ANIM_PALETTES	macro
		dc.l	\1			* 'anim_palette1'
		dc.l	\2			* 'anim_palette2'
		dc.l	\3			* 'anim_palette3'
		dc.l	\4			* 'anim_palette4'
		dc.w	0			* 'anim_palselect' default..
		endm
	
 BEGIN_ANIM Explode64x37 ******************************************************
		ANIM_SIZE	64,37,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	0			* hits to kill it..
		ANIM_POINTS	0			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Exp5
		FRAME	001,Exp5
		FRAME	002,Exp5
		FRAME	002,Exp5
		FRAME	003,Exp5
		FRAME	003,Exp5
		FRAME	004,Exp5
		FRAME	004,Exp5
		FRAME	005,Exp5
		FRAME	005,Exp5
		FRAME	006,Exp5
		FRAME	006,Exp5
		FRAME	007,Exp5
		FRAME	007,Exp5
		FRAME	008,Exp5
		FRAME	008,Exp5
		FRAME	009,Exp5
		FRAME	009,Exp5
		FRAME	010,Exp5
		FRAME	010,Exp5
		FRAME	011,Exp5
		FRAME	011,Exp5
		FRAME	012,Exp5
		FRAME	012,Exp5
		FRAME	013,Exp5
		FRAME	013,Exp5
		FRAME	014,Exp5
		FRAME	014,Exp5
		FRAME	015,Exp5
		FRAME	015,Exp5
		FRAME	016,Exp5
		FRAME	016,Exp5
		FRAME	017,Exp5
		FRAME	017,Exp5
		FRAME	018,Exp5
		FRAME	018,Exp5
		FRAME	019,Exp5
		FRAME	019,Exp5
		FRAME	020,Exp5
		FRAME	020,Exp5
		FRAME	021,Exp5
		FRAME	021,Exp5
 END_ANIM Explode64x37

 BEGIN_ANIM Explode32x16 ******************************************************
		ANIM_SIZE	32,16,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	0			* hits to kill it..
		ANIM_POINTS	0			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Exp4
		FRAME	001,Exp4
		FRAME	002,Exp4
		FRAME	002,Exp4
		FRAME	003,Exp4
		FRAME	003,Exp4
		FRAME	004,Exp4
		FRAME	004,Exp4
		FRAME	005,Exp4
		FRAME	005,Exp4
		FRAME	006,Exp4
		FRAME	006,Exp4
		FRAME	007,Exp4
		FRAME	007,Exp4
		FRAME	008,Exp4
		FRAME	008,Exp4
		FRAME	009,Exp4
		FRAME	009,Exp4
		FRAME	010,Exp4
		FRAME	010,Exp4
		FRAME	011,Exp4
		FRAME	011,Exp4
		FRAME	012,Exp4
		FRAME	012,Exp4
		FRAME	013,Exp4
		FRAME	013,Exp4
		FRAME	014,Exp4
		FRAME	014,Exp4
		FRAME	015,Exp4
		FRAME	015,Exp4
		FRAME	016,Exp4
		FRAME	016,Exp4
		FRAME	017,Exp4
		FRAME	017,Exp4
		FRAME	018,Exp4
		FRAME	018,Exp4
		FRAME	019,Exp4
		FRAME	019,Exp4
		FRAME	020,Exp4
		FRAME	020,Exp4
		FRAME	021,Exp4
		FRAME	021,Exp4
 END_ANIM Explode32x16

 BEGIN_ANIM Explode32x27 ******************************************************
		ANIM_SIZE	32,27,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	0			* hits to kill it..
		ANIM_POINTS	0			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Exp3
		FRAME	001,Exp3
		FRAME	002,Exp3
		FRAME	002,Exp3
		FRAME	003,Exp3
		FRAME	003,Exp3
		FRAME	004,Exp3
		FRAME	004,Exp3
		FRAME	005,Exp3
		FRAME	005,Exp3
		FRAME	006,Exp3
		FRAME	006,Exp3
		FRAME	007,Exp3
		FRAME	007,Exp3
		FRAME	008,Exp3
		FRAME	008,Exp3
		FRAME	009,Exp3
		FRAME	009,Exp3
		FRAME	010,Exp3
		FRAME	010,Exp3
		FRAME	011,Exp3
		FRAME	011,Exp3
		FRAME	012,Exp3
		FRAME	012,Exp3
		FRAME	013,Exp3
		FRAME	013,Exp3
		FRAME	014,Exp3
		FRAME	014,Exp3
		FRAME	015,Exp3
		FRAME	015,Exp3
		FRAME	016,Exp3
		FRAME	016,Exp3
		FRAME	017,Exp3
		FRAME	017,Exp3
		FRAME	018,Exp3
		FRAME	018,Exp3
		FRAME	019,Exp3
		FRAME	019,Exp3
		FRAME	020,Exp3
		FRAME	020,Exp3
		FRAME	021,Exp3
		FRAME	021,Exp3
 END_ANIM Explode32x27

 BEGIN_ANIM Explode64x21 ******************************************************
		ANIM_SIZE	64,21,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	0			* hits to kill it..
		ANIM_POINTS	0			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Exp2
		FRAME	001,Exp2
		FRAME	002,Exp2
		FRAME	002,Exp2
		FRAME	003,Exp2
		FRAME	003,Exp2
		FRAME	004,Exp2
		FRAME	004,Exp2
		FRAME	005,Exp2
		FRAME	005,Exp2
		FRAME	006,Exp2
		FRAME	006,Exp2
		FRAME	007,Exp2
		FRAME	007,Exp2
		FRAME	008,Exp2
		FRAME	008,Exp2
		FRAME	009,Exp2
		FRAME	009,Exp2
		FRAME	010,Exp2
		FRAME	010,Exp2
		FRAME	011,Exp2
		FRAME	011,Exp2
		FRAME	012,Exp2
		FRAME	012,Exp2
		FRAME	013,Exp2
		FRAME	013,Exp2
		FRAME	014,Exp2
		FRAME	014,Exp2
		FRAME	015,Exp2
		FRAME	015,Exp2
		FRAME	016,Exp2
		FRAME	016,Exp2
		FRAME	017,Exp2
		FRAME	017,Exp2
		FRAME	018,Exp2
		FRAME	018,Exp2
		FRAME	019,Exp2
		FRAME	019,Exp2
		FRAME	020,Exp2
		FRAME	020,Exp2
		FRAME	021,Exp2
		FRAME	021,Exp2
 END_ANIM Explode64x21

 BEGIN_ANIM Explode64x64 ******************************************************
		ANIM_SIZE	64,64,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	0			* hits to kill it..
		ANIM_POINTS	0			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Exp1
		FRAME	001,Exp1
		FRAME	002,Exp1
		FRAME	002,Exp1
		FRAME	003,Exp1
		FRAME	003,Exp1
		FRAME	004,Exp1
		FRAME	004,Exp1
		FRAME	005,Exp1
		FRAME	005,Exp1
		FRAME	006,Exp1
		FRAME	006,Exp1
		FRAME	007,Exp1
		FRAME	007,Exp1
		FRAME	008,Exp1
		FRAME	008,Exp1
		FRAME	009,Exp1
		FRAME	009,Exp1
		FRAME	010,Exp1
		FRAME	010,Exp1
		FRAME	011,Exp1
		FRAME	011,Exp1
		FRAME	012,Exp1
		FRAME	012,Exp1
		FRAME	013,Exp1
		FRAME	013,Exp1
		FRAME	014,Exp1
		FRAME	014,Exp1
		FRAME	015,Exp1
		FRAME	015,Exp1
		FRAME	016,Exp1
		FRAME	016,Exp1
		FRAME	017,Exp1
		FRAME	017,Exp1
		FRAME	018,Exp1
		FRAME	018,Exp1
		FRAME	019,Exp1
		FRAME	019,Exp1
		FRAME	020,Exp1
		FRAME	020,Exp1
		FRAME	021,Exp1
		FRAME	021,Exp1
 END_ANIM Explode64x64

 BEGIN_ANIM Bullet ************************************************************
		ANIM_SIZE	16,5,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Bullet
		FRAME	001,Bullet
		FRAME	001,Bullet
		FRAME	001,Bullet
		FRAME	002,Bullet
		FRAME	002,Bullet
		FRAME	002,Bullet
		FRAME	002,Bullet
 END_ANIM Bullet

 BEGIN_ANIM Weapon1 **********************************************************
		ANIM_SIZE	16,7,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Weapon
 END_ANIM Weapon1

 BEGIN_ANIM Weapon2 **********************************************************
		ANIM_SIZE	16,7,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	002,Weapon
 END_ANIM Weapon2

 BEGIN_ANIM Weapon3 **********************************************************
		ANIM_SIZE	16,7,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	0			* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	003,Weapon
 END_ANIM Weapon3

 BEGIN_ANIM Token *************************************************************
		ANIM_SIZE	32,16,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	0,0,0,0			* anim palette`s
		FRAME	001,Token
		FRAME	002,Token
		FRAME	003,Token
		FRAME	004,Token
		FRAME	005,Token
		FRAME	006,Token
		FRAME	007,Token
		FRAME	008,Token
		FRAME	009,Token
 END_ANIM Token

 BEGIN_ANIM bomber ************************************************************
		ANIM_SIZE	64,19,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	bomber_cmap,0,0,0
		FRAME	000,bomber
		FRAME	000,bomber
		FRAME	001,bomber
		FRAME	001,bomber
		FRAME	002,bomber
		FRAME	002,bomber
 END_ANIM bomber

 BEGIN_ANIM bigprojx **********************************************************
		ANIM_SIZE	64,45,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x37		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	bigprojx_cmap,0,0,0
		FRAME	000,bigprojx
		FRAME	000,bigprojx
		FRAME	001,bigprojx
		FRAME	001,bigprojx
		FRAME	002,bigprojx
		FRAME	002,bigprojx
 END_ANIM bigprojx

 BEGIN_ANIM bigrock1 **********************************************************
		ANIM_SIZE	96,37,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x37		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	bigrock1_cmap,0,0,0
		FRAME	000,bigrock1
 END_ANIM bigrock1

 BEGIN_ANIM cell **************************************************************
		ANIM_SIZE	32,16,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	cell_cmap,0,0,0
		FRAME	000,cell
		FRAME	001,cell
		FRAME	002,cell
		FRAME	003,cell
		FRAME	004,cell
		FRAME	005,cell
		FRAME	006,cell
		FRAME	007,cell
		FRAME	008,cell
		FRAME	009,cell
		FRAME	010,cell
		FRAME	011,cell
		FRAME	012,cell
		FRAME	013,cell
		FRAME	014,cell
		FRAME	015,cell
		FRAME	016,cell
		FRAME	017,cell
		FRAME	018,cell
		FRAME	019,cell
		FRAME	020,cell
		FRAME	021,cell
		FRAME	022,cell
		FRAME	023,cell
		FRAME	024,cell
		FRAME	025,cell
		FRAME	026,cell
		FRAME	027,cell
		FRAME	028,cell
		FRAME	029,cell
		FRAME	030,cell
		FRAME	031,cell
		FRAME	032,cell
		FRAME	033,cell
		FRAME	034,cell
		FRAME	035,cell
		FRAME	036,cell
		FRAME	037,cell
		FRAME	038,cell
		FRAME	039,cell
		FRAME	040,cell
		FRAME	041,cell
		FRAME	042,cell
		FRAME	043,cell
		FRAME	044,cell
		FRAME	045,cell
		FRAME	046,cell
		FRAME	047,cell
		FRAME	048,cell
		FRAME	049,cell
		FRAME	048,cell
		FRAME	047,cell
		FRAME	046,cell
		FRAME	045,cell
		FRAME	044,cell
		FRAME	043,cell
		FRAME	042,cell
		FRAME	041,cell
		FRAME	040,cell
		FRAME	039,cell
		FRAME	038,cell
		FRAME	037,cell
		FRAME	036,cell
		FRAME	035,cell
		FRAME	034,cell
		FRAME	033,cell
		FRAME	032,cell
		FRAME	031,cell
		FRAME	030,cell
		FRAME	029,cell
		FRAME	028,cell
		FRAME	027,cell
		FRAME	026,cell
		FRAME	025,cell
		FRAME	024,cell
		FRAME	023,cell
		FRAME	022,cell
		FRAME	021,cell
		FRAME	020,cell
		FRAME	019,cell
		FRAME	018,cell
		FRAME	017,cell
		FRAME	016,cell
		FRAME	015,cell
		FRAME	014,cell
		FRAME	013,cell
		FRAME	012,cell
		FRAME	011,cell
		FRAME	010,cell
		FRAME	009,cell
		FRAME	008,cell
		FRAME	007,cell
		FRAME	006,cell
		FRAME	005,cell
		FRAME	004,cell
		FRAME	003,cell
		FRAME	002,cell
		FRAME	001,cell
 END_ANIM cell

 BEGIN_ANIM eggtimer **************************************************************
		ANIM_SIZE	64,20,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	eggtimer_cmap,0,0,0
		FRAME	000,eggtimer
		FRAME	001,eggtimer
		FRAME	002,eggtimer
		FRAME	003,eggtimer
		FRAME	004,eggtimer
		FRAME	005,eggtimer
		FRAME	006,eggtimer
		FRAME	007,eggtimer
		FRAME	007,eggtimer
		FRAME	008,eggtimer
		FRAME	008,eggtimer
		FRAME	008,eggtimer
		FRAME	007,eggtimer
		FRAME	007,eggtimer
		FRAME	006,eggtimer
		FRAME	005,eggtimer
		FRAME	004,eggtimer
		FRAME	003,eggtimer
		FRAME	002,eggtimer
		FRAME	001,eggtimer
 END_ANIM eggtimer

 BEGIN_ANIM fighter ***********************************************************
		ANIM_SIZE	64,13,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	fighter_cmap,0,0,0
		FRAME	000,fighter
		FRAME	001,fighter
		FRAME	002,fighter
		FRAME	003,fighter
		FRAME	004,fighter
		FRAME	005,fighter
		FRAME	006,fighter
		FRAME	007,fighter
		FRAME	008,fighter
 END_ANIM fighter

 BEGIN_ANIM finship ***********************************************************
		ANIM_SIZE	64,29,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	finship_cmap,0,0,0
		FRAME	000,finship
		FRAME	001,finship
		FRAME	002,finship
		FRAME	003,finship
		FRAME	004,finship
		FRAME	005,finship
		FRAME	006,finship
		FRAME	006,finship
		FRAME	005,finship
		FRAME	004,finship
		FRAME	003,finship
		FRAME	002,finship
		FRAME	001,finship
		FRAME	000,finship
 END_ANIM finship

 BEGIN_ANIM greenswirly *******************************************************
		ANIM_SIZE	64,34,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	greenswirly_cmap,0,0,0
		FRAME	000,greenswirly
		FRAME	001,greenswirly
		FRAME	002,greenswirly
		FRAME	003,greenswirly
		FRAME	004,greenswirly
		FRAME	005,greenswirly
		FRAME	006,greenswirly
		FRAME	007,greenswirly
		FRAME	008,greenswirly
		FRAME	009,greenswirly
		FRAME	010,greenswirly
		FRAME	011,greenswirly
		FRAME	012,greenswirly
		FRAME	013,greenswirly
		FRAME	014,greenswirly
		FRAME	015,greenswirly
		FRAME	016,greenswirly
		FRAME	017,greenswirly
 END_ANIM greenswirly
 
 BEGIN_ANIM hovership *********************************************************
		ANIM_SIZE	64,18,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	hovership_cmap,0,0,0
		FRAME	000,hovership
		FRAME	001,hovership
		FRAME	002,hovership
		FRAME	003,hovership
		FRAME	004,hovership
		FRAME	005,hovership
		FRAME	006,hovership
		FRAME	007,hovership
		FRAME	008,hovership
		FRAME	009,hovership
		FRAME	010,hovership
		FRAME	011,hovership
		FRAME	012,hovership
		FRAME	013,hovership
		FRAME	014,hovership
		FRAME	015,hovership
		FRAME	016,hovership
		FRAME	017,hovership
		FRAME	018,hovership
		FRAME	019,hovership
		FRAME	020,hovership
		FRAME	021,hovership
		FRAME	022,hovership
		FRAME	023,hovership
		FRAME	024,hovership
		FRAME	025,hovership
		FRAME	026,hovership
 END_ANIM hovership

 BEGIN_ANIM jellypulp *********************************************************
		ANIM_SIZE	64,55,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x37		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	jellypulp_cmap,0,0,0
		FRAME	000,jellypulp
		FRAME	001,jellypulp
		FRAME	002,jellypulp
		FRAME	003,jellypulp
		FRAME	004,jellypulp
		FRAME	005,jellypulp
		FRAME	006,jellypulp
		FRAME	007,jellypulp
		FRAME	008,jellypulp
		FRAME	009,jellypulp
		FRAME	010,jellypulp
		FRAME	011,jellypulp
		FRAME	010,jellypulp
		FRAME	009,jellypulp
		FRAME	008,jellypulp
		FRAME	007,jellypulp
		FRAME	006,jellypulp
		FRAME	005,jellypulp
		FRAME	004,jellypulp
		FRAME	003,jellypulp
		FRAME	002,jellypulp
		FRAME	001,jellypulp
 END_ANIM jellypulp

 BEGIN_ANIM medrock1 **********************************************************
		ANIM_SIZE	64,30,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	medrock1_cmap,0,0,0
		FRAME	000,medrock1
 END_ANIM medrock1

 BEGIN_ANIM medrock2 **********************************************************
		ANIM_SIZE	64,22,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	medrock2_cmap,0,0,0
		FRAME	000,medrock2
 END_ANIM medrock2

 BEGIN_ANIM medrock3 **********************************************************
		ANIM_SIZE	64,30,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	medrock3_cmap,0,0,0
		FRAME	000,medrock3
 END_ANIM medrock3

 BEGIN_ANIM probe1 **********************************************************
		ANIM_SIZE	32,16,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	probe1_cmap,0,0,0
		FRAME	000,probe1
		FRAME	001,probe1
		FRAME	002,probe1
		FRAME	003,probe1
		FRAME	004,probe1
		FRAME	005,probe1
		FRAME	006,probe1
		FRAME	007,probe1
		FRAME	008,probe1
		FRAME	009,probe1
		FRAME	010,probe1
		FRAME	011,probe1
		FRAME	012,probe1
		FRAME	013,probe1
		FRAME	014,probe1
		FRAME	015,probe1
		FRAME	016,probe1
		FRAME	017,probe1
		FRAME	018,probe1
		FRAME	019,probe1
		FRAME	020,probe1
		FRAME	021,probe1
		FRAME	022,probe1
		FRAME	023,probe1
		FRAME	024,probe1
		FRAME	025,probe1
 END_ANIM probe1

 BEGIN_ANIM probe2 **********************************************************
		ANIM_SIZE	32,15,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	probe2_cmap,0,0,0
		FRAME	000,probe2
		FRAME	001,probe2
		FRAME	002,probe2
		FRAME	003,probe2
		FRAME	004,probe2
		FRAME	005,probe2
		FRAME	006,probe2
		FRAME	007,probe2
		FRAME	008,probe2
		FRAME	009,probe2
		FRAME	010,probe2
		FRAME	011,probe2
		FRAME	012,probe2
		FRAME	013,probe2
		FRAME	014,probe2
		FRAME	015,probe2
		FRAME	016,probe2
		FRAME	017,probe2
		FRAME	018,probe2
		FRAME	019,probe2
		FRAME	020,probe2
		FRAME	021,probe2
		FRAME	022,probe2
		FRAME	023,probe2
		FRAME	024,probe2
		FRAME	025,probe2
 END_ANIM probe2

 BEGIN_ANIM pumpship **********************************************************
		ANIM_SIZE	64,20,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	pumpship_cmap,0,0,0
		FRAME	000,pumpship
		FRAME	001,pumpship
		FRAME	002,pumpship
		FRAME	003,pumpship
		FRAME	004,pumpship
		FRAME	005,pumpship
		FRAME	006,pumpship
		FRAME	007,pumpship
		FRAME	008,pumpship
		FRAME	009,pumpship
		FRAME	010,pumpship
		FRAME	011,pumpship
		FRAME	012,pumpship
		FRAME	013,pumpship
		FRAME	014,pumpship
		FRAME	015,pumpship
		FRAME	015,pumpship
		FRAME	016,pumpship
		FRAME	016,pumpship
		FRAME	016,pumpship
		FRAME	015,pumpship
		FRAME	015,pumpship
		FRAME	014,pumpship
		FRAME	013,pumpship
		FRAME	012,pumpship
		FRAME	011,pumpship
		FRAME	010,pumpship
		FRAME	009,pumpship
		FRAME	008,pumpship
		FRAME	007,pumpship
		FRAME	006,pumpship
		FRAME	005,pumpship
		FRAME	004,pumpship
		FRAME	003,pumpship
		FRAME	002,pumpship
		FRAME	001,pumpship
 END_ANIM pumpship

 BEGIN_ANIM revlasship **************************************************************
		ANIM_SIZE	64,20,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play..
		ANIM_PALETTES	revlasship_cmap,0,0,0
		FRAME	000,revlasship
		FRAME	001,revlasship
		FRAME	002,revlasship
		FRAME	003,revlasship
		FRAME	004,revlasship
		FRAME	005,revlasship
		FRAME	006,revlasship
		FRAME	007,revlasship
		FRAME	008,revlasship
		FRAME	009,revlasship
		FRAME	010,revlasship
		FRAME	011,revlasship
		FRAME	012,revlasship
		FRAME	013,revlasship
		FRAME	014,revlasship
		FRAME	015,revlasship
		FRAME	016,revlasship
		FRAME	017,revlasship
		FRAME	018,revlasship
		FRAME	019,revlasship
		FRAME	020,revlasship
		FRAME	021,revlasship
		FRAME	022,revlasship
		FRAME	023,revlasship
		FRAME	024,revlasship
		FRAME	025,revlasship
		FRAME	026,revlasship
		FRAME	027,revlasship
		FRAME	028,revlasship
		FRAME	029,revlasship
		FRAME	030,revlasship
		FRAME	031,revlasship
		FRAME	032,revlasship
		FRAME	033,revlasship
		FRAME	034,revlasship
		FRAME	035,revlasship
		FRAME	036,revlasship
		FRAME	037,revlasship
		FRAME	038,revlasship
		FRAME	039,revlasship
		FRAME	040,revlasship
		FRAME	041,revlasship
		FRAME	042,revlasship
		FRAME	043,revlasship
		FRAME	044,revlasship
 END_ANIM revlasship

 BEGIN_ANIM shockship *********************************************************
		ANIM_SIZE	64,20,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play
		ANIM_PALETTES	shockship_cmap,0,0,0
		FRAME	000,shockship
		FRAME	001,shockship
		FRAME	002,shockship
		FRAME	003,shockship
		FRAME	004,shockship
		FRAME	005,shockship
		FRAME	006,shockship
		FRAME	007,shockship
		FRAME	008,shockship
		FRAME	009,shockship
 END_ANIM shockship

 BEGIN_ANIM smallrock1 ********************************************************
		ANIM_SIZE	32,16,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play
		ANIM_PALETTES	smallrock1_cmap,0,0,0
		FRAME	000,smallrock1
 END_ANIM smallrock1

 BEGIN_ANIM smallrock2 ********************************************************
		ANIM_SIZE	32,16,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play
		ANIM_PALETTES	smallrock2_cmap,0,0,0
		FRAME	000,smallrock2
 END_ANIM smallrock2

 BEGIN_ANIM tinyprojx ********************************************************
		ANIM_SIZE	32,22,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode32x16		* die animation..
		ANIM_TOKEN	0			* token anim to play
		ANIM_PALETTES	tinyprojx_cmap,0,0,0
		FRAME	000,tinyprojx
		FRAME	000,tinyprojx
		FRAME	001,tinyprojx
		FRAME	001,tinyprojx
		FRAME	002,tinyprojx
		FRAME	002,tinyprojx
 END_ANIM tinyprojx

 BEGIN_ANIM tinyvoyager *******************************************************
		ANIM_SIZE	64,28,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x21		* die animation..
		ANIM_TOKEN	0			* token anim to play
		ANIM_PALETTES	tinyvoyager_cmap,0,0,0
		FRAME	000,tinyvoyager
		FRAME	000,tinyvoyager
		FRAME	001,tinyvoyager
		FRAME	001,tinyvoyager
		FRAME	002,tinyvoyager
		FRAME	002,tinyvoyager
 END_ANIM tinyvoyager

 BEGIN_ANIM voyager ***********************************************************
		ANIM_SIZE	96,42,4			* width,height,depth
		ANIM_PRIORITY	0			* sample play priority
		ANIM_KILLHITS	1			* hits to kill it..
		ANIM_POINTS	450			* points kill award
		ANIM_SAMPLE	0			* sample to play..
		ANIM_EXPLOSION	Explode64x37		* die animation..
		ANIM_TOKEN	0			* token anim to play
		ANIM_PALETTES	voyager_cmap,0,0,0
		FRAME	000,voyager
		FRAME	000,voyager
		FRAME	001,voyager
		FRAME	001,voyager
		FRAME	002,voyager
		FRAME	002,voyager
		FRAME	001,voyager
		FRAME	001,voyager
 END_ANIM voyager
 
bomber_000.raw:		incbin	'bomber_000.raw'
bomber_000.msk:		incbin	'bomber_000.msk'
bomber_001.raw:		incbin	'bomber_001.raw'
bomber_001.msk:		incbin	'bomber_001.msk'
bomber_002.raw:		incbin	'bomber_002.raw'
bomber_002.msk:		incbin	'bomber_002.msk'
bomber_cmap:		incbin	'palettes/bomber.cmap'

bigprojx_000.raw:	incbin	'bigprojx_000.raw'
bigprojx_000.msk:	incbin	'bigprojx_000.msk'
bigprojx_001.raw:	incbin	'bigprojx_001.raw'
bigprojx_001.msk:	incbin	'bigprojx_001.msk'
bigprojx_002.raw:	incbin	'bigprojx_002.raw'
bigprojx_002.msk:	incbin	'bigprojx_002.msk'
bigprojx_cmap:		incbin	'palettes/bigprojx.cmap'

bigrock1_000.raw:	incbin	'bigrock1_000.raw'
bigrock1_000.msk:	incbin	'bigrock1_000.msk'
bigrock1_cmap:		incbin	'palettes/bigrock1.cmap'

cell_000.raw:		incbin	'cell_000.raw'
cell_000.msk:		incbin	'cell_000.msk'
cell_001.raw:		incbin	'cell_001.raw'
cell_001.msk:		incbin	'cell_001.msk'
cell_002.raw:		incbin	'cell_002.raw'
cell_002.msk:		incbin	'cell_002.msk'
cell_003.raw:		incbin	'cell_003.raw'
cell_003.msk:		incbin	'cell_003.msk'
cell_004.raw:		incbin	'cell_004.raw'
cell_004.msk:		incbin	'cell_004.msk'
cell_005.raw:		incbin	'cell_005.raw'
cell_005.msk:		incbin	'cell_005.msk'
cell_006.raw:		incbin	'cell_006.raw'
cell_006.msk:		incbin	'cell_006.msk'
cell_007.raw:		incbin	'cell_007.raw'
cell_007.msk:		incbin	'cell_007.msk'
cell_008.raw:		incbin	'cell_008.raw'
cell_008.msk:		incbin	'cell_008.msk'
cell_009.raw:		incbin	'cell_009.raw'
cell_009.msk:		incbin	'cell_009.msk'
cell_010.raw:		incbin	'cell_010.raw'
cell_010.msk:		incbin	'cell_010.msk'
cell_011.raw:		incbin	'cell_011.raw'
cell_011.msk:		incbin	'cell_011.msk'
cell_012.raw:		incbin	'cell_012.raw'
cell_012.msk:		incbin	'cell_012.msk'
cell_013.raw:		incbin	'cell_013.raw'
cell_013.msk:		incbin	'cell_013.msk'
cell_014.raw:		incbin	'cell_014.raw'
cell_014.msk:		incbin	'cell_014.msk'
cell_015.raw:		incbin	'cell_015.raw'
cell_015.msk:		incbin	'cell_015.msk'
cell_016.raw:		incbin	'cell_016.raw'
cell_016.msk:		incbin	'cell_016.msk'
cell_017.raw:		incbin	'cell_017.raw'
cell_017.msk:		incbin	'cell_017.msk'
cell_018.raw:		incbin	'cell_018.raw'
cell_018.msk:		incbin	'cell_018.msk'
cell_019.raw:		incbin	'cell_019.raw'
cell_019.msk:		incbin	'cell_019.msk'
cell_020.raw:		incbin	'cell_020.raw'
cell_020.msk:		incbin	'cell_020.msk'
cell_021.raw:		incbin	'cell_021.raw'
cell_021.msk:		incbin	'cell_021.msk'
cell_022.raw:		incbin	'cell_022.raw'
cell_022.msk:		incbin	'cell_022.msk'
cell_023.raw:		incbin	'cell_023.raw'
cell_023.msk:		incbin	'cell_023.msk'
cell_024.raw:		incbin	'cell_024.raw'
cell_024.msk:		incbin	'cell_024.msk'
cell_025.raw:		incbin	'cell_025.raw'
cell_025.msk:		incbin	'cell_025.msk'
cell_026.raw:		incbin	'cell_026.raw'
cell_026.msk:		incbin	'cell_026.msk'
cell_027.raw:		incbin	'cell_027.raw'
cell_027.msk:		incbin	'cell_027.msk'
cell_028.raw:		incbin	'cell_028.raw'
cell_028.msk:		incbin	'cell_028.msk'
cell_029.raw:		incbin	'cell_029.raw'
cell_029.msk:		incbin	'cell_029.msk'
cell_030.raw:		incbin	'cell_030.raw'
cell_030.msk:		incbin	'cell_030.msk'
cell_031.raw:		incbin	'cell_031.raw'
cell_031.msk:		incbin	'cell_031.msk'
cell_032.raw:		incbin	'cell_032.raw'
cell_032.msk:		incbin	'cell_032.msk'
cell_033.raw:		incbin	'cell_033.raw'
cell_033.msk:		incbin	'cell_033.msk'
cell_034.raw:		incbin	'cell_034.raw'
cell_034.msk:		incbin	'cell_034.msk'
cell_035.raw:		incbin	'cell_035.raw'
cell_035.msk:		incbin	'cell_035.msk'
cell_036.raw:		incbin	'cell_036.raw'
cell_036.msk:		incbin	'cell_036.msk'
cell_037.raw:		incbin	'cell_037.raw'
cell_037.msk:		incbin	'cell_037.msk'
cell_038.raw:		incbin	'cell_038.raw'
cell_038.msk:		incbin	'cell_038.msk'
cell_039.raw:		incbin	'cell_039.raw'
cell_039.msk:		incbin	'cell_039.msk'
cell_040.raw:		incbin	'cell_040.raw'
cell_040.msk:		incbin	'cell_040.msk'
cell_041.raw:		incbin	'cell_041.raw'
cell_041.msk:		incbin	'cell_041.msk'
cell_042.raw:		incbin	'cell_042.raw'
cell_042.msk:		incbin	'cell_042.msk'
cell_043.raw:		incbin	'cell_043.raw'
cell_043.msk:		incbin	'cell_043.msk'
cell_044.raw:		incbin	'cell_044.raw'
cell_044.msk:		incbin	'cell_044.msk'
cell_045.raw:		incbin	'cell_045.raw'
cell_045.msk:		incbin	'cell_045.msk'
cell_046.raw:		incbin	'cell_046.raw'
cell_046.msk:		incbin	'cell_046.msk'
cell_047.raw:		incbin	'cell_047.raw'
cell_047.msk:		incbin	'cell_047.msk'
cell_048.raw:		incbin	'cell_048.raw'
cell_048.msk:		incbin	'cell_048.msk'
cell_049.raw:		incbin	'cell_049.raw'
cell_049.msk:		incbin	'cell_049.msk'
cell_cmap:		incbin	'palettes/cell.cmap'

eggtimer_000.raw:	incbin	'eggtimer_000.raw'
eggtimer_000.msk:	incbin	'eggtimer_000.msk'
eggtimer_001.raw:	incbin	'eggtimer_001.raw'
eggtimer_001.msk:	incbin	'eggtimer_001.msk'
eggtimer_002.raw:	incbin	'eggtimer_002.raw'
eggtimer_002.msk:	incbin	'eggtimer_002.msk'
eggtimer_003.raw:	incbin	'eggtimer_003.raw'
eggtimer_003.msk:	incbin	'eggtimer_003.msk'
eggtimer_004.raw:	incbin	'eggtimer_004.raw'
eggtimer_004.msk:	incbin	'eggtimer_004.msk'
eggtimer_005.raw:	incbin	'eggtimer_005.raw'
eggtimer_005.msk:	incbin	'eggtimer_005.msk'
eggtimer_006.raw:	incbin	'eggtimer_006.raw'
eggtimer_006.msk:	incbin	'eggtimer_006.msk'
eggtimer_007.raw:	incbin	'eggtimer_007.raw'
eggtimer_007.msk:	incbin	'eggtimer_007.msk'
eggtimer_008.raw:	incbin	'eggtimer_008.raw'
eggtimer_008.msk:	incbin	'eggtimer_008.msk'
eggtimer_cmap:		incbin	'palettes/eggtimer.cmap'

fighter_000.raw:	incbin	'fighter_000.raw'
fighter_000.msk:	incbin	'fighter_000.msk'
fighter_001.raw:	incbin	'fighter_001.raw'
fighter_001.msk:	incbin	'fighter_001.msk'
fighter_002.raw:	incbin	'fighter_002.raw'
fighter_002.msk:	incbin	'fighter_002.msk'
fighter_003.raw:	incbin	'fighter_003.raw'
fighter_003.msk:	incbin	'fighter_003.msk'
fighter_004.raw:	incbin	'fighter_004.raw'
fighter_004.msk:	incbin	'fighter_004.msk'
fighter_005.raw:	incbin	'fighter_005.raw'
fighter_005.msk:	incbin	'fighter_005.msk'
fighter_006.raw:	incbin	'fighter_006.raw'
fighter_006.msk:	incbin	'fighter_006.msk'
fighter_007.raw:	incbin	'fighter_007.raw'
fighter_007.msk:	incbin	'fighter_007.msk'
fighter_008.raw:	incbin	'fighter_008.raw'
fighter_008.msk:	incbin	'fighter_008.msk'
fighter_cmap:		incbin	'palettes/fighter.cmap'

finship_000.raw:	incbin	'finship_000.raw'
finship_000.msk:	incbin	'finship_000.msk'
finship_001.raw:	incbin	'finship_001.raw'
finship_001.msk:	incbin	'finship_001.msk'
finship_002.raw:	incbin	'finship_002.raw'
finship_002.msk:	incbin	'finship_002.msk'
finship_003.raw:	incbin	'finship_003.raw'
finship_003.msk:	incbin	'finship_003.msk'
finship_004.raw:	incbin	'finship_004.raw'
finship_004.msk:	incbin	'finship_004.msk'
finship_005.raw:	incbin	'finship_005.raw'
finship_005.msk:	incbin	'finship_005.msk'
finship_006.raw:	incbin	'finship_006.raw'
finship_006.msk:	incbin	'finship_006.msk'
finship_cmap:		incbin	'palettes/finship.cmap'

greenswirly_000.raw:	incbin	'greenswirly_000.raw'
greenswirly_000.msk:	incbin	'greenswirly_000.msk'
greenswirly_001.raw:	incbin	'greenswirly_001.raw'
greenswirly_001.msk:	incbin	'greenswirly_001.msk'
greenswirly_002.raw:	incbin	'greenswirly_002.raw'
greenswirly_002.msk:	incbin	'greenswirly_002.msk'
greenswirly_003.raw:	incbin	'greenswirly_003.raw'
greenswirly_003.msk:	incbin	'greenswirly_003.msk'
greenswirly_004.raw:	incbin	'greenswirly_004.raw'
greenswirly_004.msk:	incbin	'greenswirly_004.msk'
greenswirly_005.raw:	incbin	'greenswirly_005.raw'
greenswirly_005.msk:	incbin	'greenswirly_005.msk'
greenswirly_006.raw:	incbin	'greenswirly_006.raw'
greenswirly_006.msk:	incbin	'greenswirly_006.msk'
greenswirly_007.raw:	incbin	'greenswirly_007.raw'
greenswirly_007.msk:	incbin	'greenswirly_007.msk'
greenswirly_008.raw:	incbin	'greenswirly_008.raw'
greenswirly_008.msk:	incbin	'greenswirly_008.msk'
greenswirly_009.raw:	incbin	'greenswirly_009.raw'
greenswirly_009.msk:	incbin	'greenswirly_009.msk'
greenswirly_010.raw:	incbin	'greenswirly_010.raw'
greenswirly_010.msk:	incbin	'greenswirly_010.msk'
greenswirly_011.raw:	incbin	'greenswirly_011.raw'
greenswirly_011.msk:	incbin	'greenswirly_011.msk'
greenswirly_012.raw:	incbin	'greenswirly_012.raw'
greenswirly_012.msk:	incbin	'greenswirly_012.msk'
greenswirly_013.raw:	incbin	'greenswirly_013.raw'
greenswirly_013.msk:	incbin	'greenswirly_013.msk'
greenswirly_014.raw:	incbin	'greenswirly_014.raw'
greenswirly_014.msk:	incbin	'greenswirly_014.msk'
greenswirly_015.raw:	incbin	'greenswirly_015.raw'
greenswirly_015.msk:	incbin	'greenswirly_015.msk'
greenswirly_016.raw:	incbin	'greenswirly_016.raw'
greenswirly_016.msk:	incbin	'greenswirly_016.msk'
greenswirly_017.raw:	incbin	'greenswirly_017.raw'
greenswirly_017.msk:	incbin	'greenswirly_017.msk'
greenswirly_cmap:	incbin	'palettes/greenswirly.cmap'

hovership_000.raw:	incbin	'hovership_000.raw'
hovership_000.msk:	incbin	'hovership_000.msk'
hovership_001.raw:	incbin	'hovership_001.raw'
hovership_001.msk:	incbin	'hovership_001.msk'
hovership_002.raw:	incbin	'hovership_002.raw'
hovership_002.msk:	incbin	'hovership_002.msk'
hovership_003.raw:	incbin	'hovership_003.raw'
hovership_003.msk:	incbin	'hovership_003.msk'
hovership_004.raw:	incbin	'hovership_004.raw'
hovership_004.msk:	incbin	'hovership_004.msk'
hovership_005.raw:	incbin	'hovership_005.raw'
hovership_005.msk:	incbin	'hovership_005.msk'
hovership_006.raw:	incbin	'hovership_006.raw'
hovership_006.msk:	incbin	'hovership_006.msk'
hovership_007.raw:	incbin	'hovership_007.raw'
hovership_007.msk:	incbin	'hovership_007.msk'
hovership_008.raw:	incbin	'hovership_008.raw'
hovership_008.msk:	incbin	'hovership_008.msk'
hovership_009.raw:	incbin	'hovership_009.raw'
hovership_009.msk:	incbin	'hovership_009.msk'
hovership_010.raw:	incbin	'hovership_010.raw'
hovership_010.msk:	incbin	'hovership_010.msk'
hovership_011.raw:	incbin	'hovership_011.raw'
hovership_011.msk:	incbin	'hovership_011.msk'
hovership_012.raw:	incbin	'hovership_012.raw'
hovership_012.msk:	incbin	'hovership_012.msk'
hovership_013.raw:	incbin	'hovership_013.raw'
hovership_013.msk:	incbin	'hovership_013.msk'
hovership_014.raw:	incbin	'hovership_014.raw'
hovership_014.msk:	incbin	'hovership_014.msk'
hovership_015.raw:	incbin	'hovership_015.raw'
hovership_015.msk:	incbin	'hovership_015.msk'
hovership_016.raw:	incbin	'hovership_016.raw'
hovership_016.msk:	incbin	'hovership_016.msk'
hovership_017.raw:	incbin	'hovership_017.raw'
hovership_017.msk:	incbin	'hovership_017.msk'
hovership_018.raw:	incbin	'hovership_018.raw'
hovership_018.msk:	incbin	'hovership_018.msk'
hovership_019.raw:	incbin	'hovership_019.raw'
hovership_019.msk:	incbin	'hovership_019.msk'
hovership_020.raw:	incbin	'hovership_020.raw'
hovership_020.msk:	incbin	'hovership_020.msk'
hovership_021.raw:	incbin	'hovership_021.raw'
hovership_021.msk:	incbin	'hovership_021.msk'
hovership_022.raw:	incbin	'hovership_022.raw'
hovership_022.msk:	incbin	'hovership_022.msk'
hovership_023.raw:	incbin	'hovership_023.raw'
hovership_023.msk:	incbin	'hovership_023.msk'
hovership_024.raw:	incbin	'hovership_024.raw'
hovership_024.msk:	incbin	'hovership_024.msk'
hovership_025.raw:	incbin	'hovership_025.raw'
hovership_025.msk:	incbin	'hovership_025.msk'
hovership_026.raw:	incbin	'hovership_026.raw'
hovership_026.msk:	incbin	'hovership_026.msk'
hovership_027.raw:	incbin	'hovership_027.raw'
hovership_027.msk:	incbin	'hovership_027.msk'
hovership_cmap:		incbin	'palettes/hovership.cmap'

jellypulp_000.raw:	incbin	'jellypulp_000.raw'
jellypulp_000.msk:	incbin	'jellypulp_000.msk'
jellypulp_001.raw:	incbin	'jellypulp_001.raw'
jellypulp_001.msk:	incbin	'jellypulp_001.msk'
jellypulp_002.raw:	incbin	'jellypulp_002.raw'
jellypulp_002.msk:	incbin	'jellypulp_002.msk'
jellypulp_003.raw:	incbin	'jellypulp_003.raw'
jellypulp_003.msk:	incbin	'jellypulp_003.msk'
jellypulp_004.raw:	incbin	'jellypulp_004.raw'
jellypulp_004.msk:	incbin	'jellypulp_004.msk'
jellypulp_005.raw:	incbin	'jellypulp_005.raw'
jellypulp_005.msk:	incbin	'jellypulp_005.msk'
jellypulp_006.raw:	incbin	'jellypulp_006.raw'
jellypulp_006.msk:	incbin	'jellypulp_006.msk'
jellypulp_007.raw:	incbin	'jellypulp_007.raw'
jellypulp_007.msk:	incbin	'jellypulp_007.msk'
jellypulp_008.raw:	incbin	'jellypulp_008.raw'
jellypulp_008.msk:	incbin	'jellypulp_008.msk'
jellypulp_009.raw:	incbin	'jellypulp_009.raw'
jellypulp_009.msk:	incbin	'jellypulp_009.msk'
jellypulp_010.raw:	incbin	'jellypulp_010.raw'
jellypulp_010.msk:	incbin	'jellypulp_010.msk'
jellypulp_011.raw:	incbin	'jellypulp_011.raw'
jellypulp_011.msk:	incbin	'jellypulp_011.msk'
jellypulp_cmap:		incbin	'palettes/jellypulp.cmap'

medrock1_000.raw:	incbin	'medrock1_000.raw'
medrock1_000.msk:	incbin	'medrock1_000.msk'
medrock1_cmap:		incbin	'palettes/medrock1.cmap'

medrock2_000.raw:	incbin	'medrock2_000.raw'
medrock2_000.msk:	incbin	'medrock2_000.msk'
medrock2_cmap:		incbin	'palettes/medrock2.cmap'

medrock3_000.raw:	incbin	'medrock3_000.raw'
medrock3_000.msk:	incbin	'medrock3_000.msk'
medrock3_cmap:		incbin	'palettes/medrock3.cmap'

probe1_000.raw:		incbin	'probe1_000.raw'
probe1_000.msk:		incbin	'probe1_000.msk'
probe1_001.raw:		incbin	'probe1_001.raw'
probe1_001.msk:		incbin	'probe1_001.msk'
probe1_002.raw:		incbin	'probe1_002.raw'
probe1_002.msk:		incbin	'probe1_002.msk'
probe1_003.raw:		incbin	'probe1_003.raw'
probe1_003.msk:		incbin	'probe1_003.msk'
probe1_004.raw:		incbin	'probe1_004.raw'
probe1_004.msk:		incbin	'probe1_004.msk'
probe1_005.raw:		incbin	'probe1_005.raw'
probe1_005.msk:		incbin	'probe1_005.msk'
probe1_006.raw:		incbin	'probe1_006.raw'
probe1_006.msk:		incbin	'probe1_006.msk'
probe1_007.raw:		incbin	'probe1_007.raw'
probe1_007.msk:		incbin	'probe1_007.msk'
probe1_008.raw:		incbin	'probe1_008.raw'
probe1_008.msk:		incbin	'probe1_008.msk'
probe1_009.raw:		incbin	'probe1_009.raw'
probe1_009.msk:		incbin	'probe1_009.msk'
probe1_010.raw:		incbin	'probe1_010.raw'
probe1_010.msk:		incbin	'probe1_010.msk'
probe1_011.raw:		incbin	'probe1_011.raw'
probe1_011.msk:		incbin	'probe1_011.msk'
probe1_012.raw:		incbin	'probe1_012.raw'
probe1_012.msk:		incbin	'probe1_012.msk'
probe1_013.raw:		incbin	'probe1_013.raw'
probe1_013.msk:		incbin	'probe1_013.msk'
probe1_014.raw:		incbin	'probe1_014.raw'
probe1_014.msk:		incbin	'probe1_014.msk'
probe1_015.raw:		incbin	'probe1_015.raw'
probe1_015.msk:		incbin	'probe1_015.msk'
probe1_016.raw:		incbin	'probe1_016.raw'
probe1_016.msk:		incbin	'probe1_016.msk'
probe1_017.raw:		incbin	'probe1_017.raw'
probe1_017.msk:		incbin	'probe1_017.msk'
probe1_018.raw:		incbin	'probe1_018.raw'
probe1_018.msk:		incbin	'probe1_018.msk'
probe1_019.raw:		incbin	'probe1_019.raw'
probe1_019.msk:		incbin	'probe1_019.msk'
probe1_020.raw:		incbin	'probe1_020.raw'
probe1_020.msk:		incbin	'probe1_020.msk'
probe1_021.raw:		incbin	'probe1_021.raw'
probe1_021.msk:		incbin	'probe1_021.msk'
probe1_022.raw:		incbin	'probe1_022.raw'
probe1_022.msk:		incbin	'probe1_022.msk'
probe1_023.raw:		incbin	'probe1_023.raw'
probe1_023.msk:		incbin	'probe1_023.msk'
probe1_024.raw:		incbin	'probe1_024.raw'
probe1_024.msk:		incbin	'probe1_024.msk'
probe1_025.raw:		incbin	'probe1_025.raw'
probe1_025.msk:		incbin	'probe1_025.msk'
probe1_cmap:		incbin	'palettes/probe1.cmap'

probe2_000.raw:		incbin	'probe2_000.raw'
probe2_000.msk:		incbin	'probe2_000.msk'
probe2_001.raw:		incbin	'probe2_001.raw'
probe2_001.msk:		incbin	'probe2_001.msk'
probe2_002.raw:		incbin	'probe2_002.raw'
probe2_002.msk:		incbin	'probe2_002.msk'
probe2_003.raw:		incbin	'probe2_003.raw'
probe2_003.msk:		incbin	'probe2_003.msk'
probe2_004.raw:		incbin	'probe2_004.raw'
probe2_004.msk:		incbin	'probe2_004.msk'
probe2_005.raw:		incbin	'probe2_005.raw'
probe2_005.msk:		incbin	'probe2_005.msk'
probe2_006.raw:		incbin	'probe2_006.raw'
probe2_006.msk:		incbin	'probe2_006.msk'
probe2_007.raw:		incbin	'probe2_007.raw'
probe2_007.msk:		incbin	'probe2_007.msk'
probe2_008.raw:		incbin	'probe2_008.raw'
probe2_008.msk:		incbin	'probe2_008.msk'
probe2_009.raw:		incbin	'probe2_009.raw'
probe2_009.msk:		incbin	'probe2_009.msk'
probe2_010.raw:		incbin	'probe2_010.raw'
probe2_010.msk:		incbin	'probe2_010.msk'
probe2_011.raw:		incbin	'probe2_011.raw'
probe2_011.msk:		incbin	'probe2_011.msk'
probe2_012.raw:		incbin	'probe2_012.raw'
probe2_012.msk:		incbin	'probe2_012.msk'
probe2_013.raw:		incbin	'probe2_013.raw'
probe2_013.msk:		incbin	'probe2_013.msk'
probe2_014.raw:		incbin	'probe2_014.raw'
probe2_014.msk:		incbin	'probe2_014.msk'
probe2_015.raw:		incbin	'probe2_015.raw'
probe2_015.msk:		incbin	'probe2_015.msk'
probe2_016.raw:		incbin	'probe2_016.raw'
probe2_016.msk:		incbin	'probe2_016.msk'
probe2_017.raw:		incbin	'probe2_017.raw'
probe2_017.msk:		incbin	'probe2_017.msk'
probe2_018.raw:		incbin	'probe2_018.raw'
probe2_018.msk:		incbin	'probe2_018.msk'
probe2_019.raw:		incbin	'probe2_019.raw'
probe2_019.msk:		incbin	'probe2_019.msk'
probe2_020.raw:		incbin	'probe2_020.raw'
probe2_020.msk:		incbin	'probe2_020.msk'
probe2_021.raw:		incbin	'probe2_021.raw'
probe2_021.msk:		incbin	'probe2_021.msk'
probe2_022.raw:		incbin	'probe2_022.raw'
probe2_022.msk:		incbin	'probe2_022.msk'
probe2_023.raw:		incbin	'probe2_023.raw'
probe2_023.msk:		incbin	'probe2_023.msk'
probe2_024.raw:		incbin	'probe2_024.raw'
probe2_024.msk:		incbin	'probe2_024.msk'
probe2_025.raw:		incbin	'probe2_025.raw'
probe2_025.msk:		incbin	'probe2_025.msk'
probe2_cmap:		incbin	'palettes/probe2.cmap'

pumpship_000.raw:	incbin	'pumpship_000.raw'
pumpship_000.msk:	incbin	'pumpship_000.msk'
pumpship_001.raw:	incbin	'pumpship_001.raw'
pumpship_001.msk:	incbin	'pumpship_001.msk'
pumpship_002.raw:	incbin	'pumpship_002.raw'
pumpship_002.msk:	incbin	'pumpship_002.msk'
pumpship_003.raw:	incbin	'pumpship_003.raw'
pumpship_003.msk:	incbin	'pumpship_003.msk'
pumpship_004.raw:	incbin	'pumpship_004.raw'
pumpship_004.msk:	incbin	'pumpship_004.msk'
pumpship_005.raw:	incbin	'pumpship_005.raw'
pumpship_005.msk:	incbin	'pumpship_005.msk'
pumpship_006.raw:	incbin	'pumpship_006.raw'
pumpship_006.msk:	incbin	'pumpship_006.msk'
pumpship_007.raw:	incbin	'pumpship_007.raw'
pumpship_007.msk:	incbin	'pumpship_007.msk'
pumpship_008.raw:	incbin	'pumpship_008.raw'
pumpship_008.msk:	incbin	'pumpship_008.msk'
pumpship_009.raw:	incbin	'pumpship_009.raw'
pumpship_009.msk:	incbin	'pumpship_009.msk'
pumpship_010.raw:	incbin	'pumpship_010.raw'
pumpship_010.msk:	incbin	'pumpship_010.msk'
pumpship_011.raw:	incbin	'pumpship_011.raw'
pumpship_011.msk:	incbin	'pumpship_011.msk'
pumpship_012.raw:	incbin	'pumpship_012.raw'
pumpship_012.msk:	incbin	'pumpship_012.msk'
pumpship_013.raw:	incbin	'pumpship_013.raw'
pumpship_013.msk:	incbin	'pumpship_013.msk'
pumpship_014.raw:	incbin	'pumpship_014.raw'
pumpship_014.msk:	incbin	'pumpship_014.msk'
pumpship_015.raw:	incbin	'pumpship_015.raw'
pumpship_015.msk:	incbin	'pumpship_015.msk'
pumpship_016.raw:	incbin	'pumpship_016.raw'
pumpship_016.msk:	incbin	'pumpship_016.msk'
pumpship_cmap:		incbin	'palettes/pumpship.cmap'

revlasship_000.raw:	incbin	'revlasship_000.raw'
revlasship_000.msk:	incbin	'revlasship_000.msk'
revlasship_001.raw:	incbin	'revlasship_001.raw'
revlasship_001.msk:	incbin	'revlasship_001.msk'
revlasship_002.raw:	incbin	'revlasship_002.raw'
revlasship_002.msk:	incbin	'revlasship_002.msk'
revlasship_003.raw:	incbin	'revlasship_003.raw'
revlasship_003.msk:	incbin	'revlasship_003.msk'
revlasship_004.raw:	incbin	'revlasship_004.raw'
revlasship_004.msk:	incbin	'revlasship_004.msk'
revlasship_005.raw:	incbin	'revlasship_005.raw'
revlasship_005.msk:	incbin	'revlasship_005.msk'
revlasship_006.raw:	incbin	'revlasship_006.raw'
revlasship_006.msk:	incbin	'revlasship_006.msk'
revlasship_007.raw:	incbin	'revlasship_007.raw'
revlasship_007.msk:	incbin	'revlasship_007.msk'
revlasship_008.raw:	incbin	'revlasship_008.raw'
revlasship_008.msk:	incbin	'revlasship_008.msk'
revlasship_009.raw:	incbin	'revlasship_009.raw'
revlasship_009.msk:	incbin	'revlasship_009.msk'
revlasship_010.raw:	incbin	'revlasship_010.raw'
revlasship_010.msk:	incbin	'revlasship_010.msk'
revlasship_011.raw:	incbin	'revlasship_011.raw'
revlasship_011.msk:	incbin	'revlasship_011.msk'
revlasship_012.raw:	incbin	'revlasship_012.raw'
revlasship_012.msk:	incbin	'revlasship_012.msk'
revlasship_013.raw:	incbin	'revlasship_013.raw'
revlasship_013.msk:	incbin	'revlasship_013.msk'
revlasship_014.raw:	incbin	'revlasship_014.raw'
revlasship_014.msk:	incbin	'revlasship_014.msk'
revlasship_015.raw:	incbin	'revlasship_015.raw'
revlasship_015.msk:	incbin	'revlasship_015.msk'
revlasship_016.raw:	incbin	'revlasship_016.raw'
revlasship_016.msk:	incbin	'revlasship_016.msk'
revlasship_017.raw:	incbin	'revlasship_017.raw'
revlasship_017.msk:	incbin	'revlasship_017.msk'
revlasship_018.raw:	incbin	'revlasship_018.raw'
revlasship_018.msk:	incbin	'revlasship_018.msk'
revlasship_019.raw:	incbin	'revlasship_019.raw'
revlasship_019.msk:	incbin	'revlasship_019.msk'
revlasship_020.raw:	incbin	'revlasship_020.raw'
revlasship_020.msk:	incbin	'revlasship_020.msk'
revlasship_021.raw:	incbin	'revlasship_021.raw'
revlasship_021.msk:	incbin	'revlasship_021.msk'
revlasship_022.raw:	incbin	'revlasship_022.raw'
revlasship_022.msk:	incbin	'revlasship_022.msk'
revlasship_023.raw:	incbin	'revlasship_023.raw'
revlasship_023.msk:	incbin	'revlasship_023.msk'
revlasship_024.raw:	incbin	'revlasship_024.raw'
revlasship_024.msk:	incbin	'revlasship_024.msk'
revlasship_025.raw:	incbin	'revlasship_025.raw'
revlasship_025.msk:	incbin	'revlasship_025.msk'
revlasship_026.raw:	incbin	'revlasship_026.raw'
revlasship_026.msk:	incbin	'revlasship_026.msk'
revlasship_027.raw:	incbin	'revlasship_027.raw'
revlasship_027.msk:	incbin	'revlasship_027.msk'
revlasship_028.raw:	incbin	'revlasship_028.raw'
revlasship_028.msk:	incbin	'revlasship_028.msk'
revlasship_029.raw:	incbin	'revlasship_029.raw'
revlasship_029.msk:	incbin	'revlasship_029.msk'
revlasship_030.raw:	incbin	'revlasship_030.raw'
revlasship_030.msk:	incbin	'revlasship_030.msk'
revlasship_031.raw:	incbin	'revlasship_031.raw'
revlasship_031.msk:	incbin	'revlasship_031.msk'
revlasship_032.raw:	incbin	'revlasship_032.raw'
revlasship_032.msk:	incbin	'revlasship_032.msk'
revlasship_033.raw:	incbin	'revlasship_033.raw'
revlasship_033.msk:	incbin	'revlasship_033.msk'
revlasship_034.raw:	incbin	'revlasship_034.raw'
revlasship_034.msk:	incbin	'revlasship_034.msk'
revlasship_035.raw:	incbin	'revlasship_035.raw'
revlasship_035.msk:	incbin	'revlasship_035.msk'
revlasship_036.raw:	incbin	'revlasship_036.raw'
revlasship_036.msk:	incbin	'revlasship_036.msk'
revlasship_037.raw:	incbin	'revlasship_037.raw'
revlasship_037.msk:	incbin	'revlasship_037.msk'
revlasship_038.raw:	incbin	'revlasship_038.raw'
revlasship_038.msk:	incbin	'revlasship_038.msk'
revlasship_039.raw:	incbin	'revlasship_039.raw'
revlasship_039.msk:	incbin	'revlasship_039.msk'
revlasship_040.raw:	incbin	'revlasship_040.raw'
revlasship_040.msk:	incbin	'revlasship_040.msk'
revlasship_041.raw:	incbin	'revlasship_041.raw'
revlasship_041.msk:	incbin	'revlasship_041.msk'
revlasship_042.raw:	incbin	'revlasship_042.raw'
revlasship_042.msk:	incbin	'revlasship_042.msk'
revlasship_043.raw:	incbin	'revlasship_043.raw'
revlasship_043.msk:	incbin	'revlasship_043.msk'
revlasship_044.raw:	incbin	'revlasship_044.raw'
revlasship_044.msk:	incbin	'revlasship_044.msk'
revlasship_cmap:	incbin	'palettes/revlasship.cmap'

shockship_000.raw:	incbin	'shockship_000.raw'
shockship_000.msk:	incbin	'shockship_000.msk'
shockship_001.raw:	incbin	'shockship_001.raw'
shockship_001.msk:	incbin	'shockship_001.msk'
shockship_002.raw:	incbin	'shockship_002.raw'
shockship_002.msk:	incbin	'shockship_002.msk'
shockship_003.raw:	incbin	'shockship_003.raw'
shockship_003.msk:	incbin	'shockship_003.msk'
shockship_004.raw:	incbin	'shockship_004.raw'
shockship_004.msk:	incbin	'shockship_004.msk'
shockship_005.raw:	incbin	'shockship_005.raw'
shockship_005.msk:	incbin	'shockship_005.msk'
shockship_006.raw:	incbin	'shockship_006.raw'
shockship_006.msk:	incbin	'shockship_006.msk'
shockship_007.raw:	incbin	'shockship_007.raw'
shockship_007.msk:	incbin	'shockship_007.msk'
shockship_008.raw:	incbin	'shockship_008.raw'
shockship_008.msk:	incbin	'shockship_008.msk'
shockship_009.raw:	incbin	'shockship_009.raw'
shockship_009.msk:	incbin	'shockship_009.msk'
shockship_cmap:		incbin	'palettes/shockship.cmap'

smallrock1_000.raw:	incbin	'smallrock1_000.raw'
smallrock1_000.msk:	incbin	'smallrock1_000.msk'
smallrock1_cmap:	incbin	'palettes/smallrock1.cmap'

smallrock2_000.raw:	incbin	'smallrock2_000.raw'
smallrock2_000.msk:	incbin	'smallrock2_000.msk'
smallrock2_cmap:	incbin	'palettes/smallrock2.cmap'

tinyprojx_000.raw:	incbin	'tinyprojx_000.raw'
tinyprojx_000.msk:	incbin	'tinyprojx_000.msk'
tinyprojx_001.raw:	incbin	'tinyprojx_001.raw'
tinyprojx_001.msk:	incbin	'tinyprojx_001.msk'
tinyprojx_002.raw:	incbin	'tinyprojx_002.raw'
tinyprojx_002.msk:	incbin	'tinyprojx_002.msk'
tinyprojx_cmap:		incbin	'palettes/tinyprojx.cmap'

tinyvoyager_000.raw:	incbin	'tinyvoyager_000.raw'
tinyvoyager_000.msk:	incbin	'tinyvoyager_000.msk'
tinyvoyager_001.raw:	incbin	'tinyvoyager_001.raw'
tinyvoyager_001.msk:	incbin	'tinyvoyager_001.msk'
tinyvoyager_002.raw:	incbin	'tinyvoyager_002.raw'
tinyvoyager_002.msk:	incbin	'tinyvoyager_002.msk'
tinyvoyager_cmap:	incbin	'palettes/tinyvoyager.cmap'

voyager_000.raw:	incbin	'voyager_000.raw'
voyager_000.msk:	incbin	'voyager_000.msk'
voyager_001.raw:	incbin	'voyager_001.raw'
voyager_001.msk:	incbin	'voyager_001.msk'
voyager_002.raw:	incbin	'voyager_002.raw'
voyager_002.msk:	incbin	'voyager_002.msk'
voyager_cmap:		incbin	'palettes/voyager.cmap'

Bullet_001.raw		incbin	"bull1.raw"
Bullet_001.msk		incbin	"bull1.msk"
Bullet_002.raw		incbin	"bull2.raw"
Bullet_002.msk		incbin	"bull2.msk"

Token_001.raw		incbin	"Token_000.raw"
Token_001.msk		incbin	"Token_000.msk"
Token_002.raw		incbin	"Token_001.raw"
Token_002.msk		incbin	"Token_001.msk"
Token_003.raw		incbin	"Token_002.raw"
Token_003.msk		incbin	"Token_002.msk"
Token_004.msk		incbin	"Token_003.msk"
Token_004.raw		incbin	"Token_003.raw"
Token_005.msk		incbin	"Token_004.msk"
Token_005.raw		incbin	"Token_004.raw"
Token_006.msk		incbin	"Token_005.msk"
Token_006.raw		incbin	"Token_005.raw"
Token_007.msk		incbin	"Token_006.msk"
Token_007.raw		incbin	"Token_006.raw"
Token_008.msk		incbin	"Token_007.msk"
Token_008.raw		incbin	"Token_007.raw"
Token_009.msk		incbin	"Token_008.msk"
Token_009.raw		incbin	"Token_008.raw"

Weapon_001.msk		incbin	"fr1.msk"
Weapon_002.msk		incbin	"fr2.msk"
Weapon_003.msk		incbin	"fr3.msk"
Weapon_001.raw		incbin	"fr1.raw"
Weapon_002.raw		incbin	"fr2.raw"
Weapon_003.raw		incbin	"fr3.raw"

Exp5_001.raw		incbin	"Exp5_001.raw"
Exp5_002.raw		incbin	"Exp5_002.raw"
Exp5_003.raw		incbin	"Exp5_003.raw"
Exp5_004.raw		incbin	"Exp5_004.raw"
Exp5_005.raw		incbin	"Exp5_005.raw"
Exp5_006.raw		incbin	"Exp5_006.raw"
Exp5_007.raw		incbin	"Exp5_007.raw"
Exp5_008.raw		incbin	"Exp5_008.raw"
Exp5_009.raw		incbin	"Exp5_009.raw"
Exp5_010.raw		incbin	"Exp5_010.raw"
Exp5_011.raw		incbin	"Exp5_011.raw"
Exp5_012.raw		incbin	"Exp5_012.raw"
Exp5_013.raw		incbin	"Exp5_013.raw"
Exp5_014.raw		incbin	"Exp5_014.raw"
Exp5_015.raw		incbin	"Exp5_015.raw"
Exp5_016.raw		incbin	"Exp5_016.raw"
Exp5_017.raw		incbin	"Exp5_017.raw"
Exp5_018.raw		incbin	"Exp5_018.raw"
Exp5_019.raw		incbin	"Exp5_019.raw"
Exp5_020.raw		incbin	"Exp5_020.raw"
Exp5_021.raw		ds.b	1184

Exp5_001.msk		incbin	"Exp5_001.msk"
Exp5_002.msk		incbin	"Exp5_002.msk"
Exp5_003.msk		incbin	"Exp5_003.msk"
Exp5_004.msk		incbin	"Exp5_004.msk"
Exp5_005.msk		incbin	"Exp5_005.msk"
Exp5_006.msk		incbin	"Exp5_006.msk"
Exp5_007.msk		incbin	"Exp5_007.msk"
Exp5_008.msk		incbin	"Exp5_008.msk"
Exp5_009.msk		incbin	"Exp5_009.msk"
Exp5_010.msk		incbin	"Exp5_010.msk"
Exp5_011.msk		incbin	"Exp5_011.msk"
Exp5_012.msk		incbin	"Exp5_012.msk"
Exp5_013.msk		incbin	"Exp5_013.msk"
Exp5_014.msk		incbin	"Exp5_014.msk"
Exp5_015.msk		incbin	"Exp5_015.msk"
Exp5_016.msk		incbin	"Exp5_016.msk"
Exp5_017.msk		incbin	"Exp5_017.msk"
Exp5_018.msk		incbin	"Exp5_018.msk"
Exp5_019.msk		incbin	"Exp5_019.msk"
Exp5_020.msk		incbin	"Exp5_020.msk"
Exp5_021.msk		ds.b	296

Exp4_001.raw		incbin	"Exp4_001.raw"
Exp4_002.raw		incbin	"Exp4_002.raw"
Exp4_003.raw		incbin	"Exp4_003.raw"
Exp4_004.raw		incbin	"Exp4_004.raw"
Exp4_005.raw		incbin	"Exp4_005.raw"
Exp4_006.raw		incbin	"Exp4_006.raw"
Exp4_007.raw		incbin	"Exp4_007.raw"
Exp4_008.raw		incbin	"Exp4_008.raw"
Exp4_009.raw		incbin	"Exp4_009.raw"
Exp4_010.raw		incbin	"Exp4_010.raw"
Exp4_011.raw		incbin	"Exp4_011.raw"
Exp4_012.raw		incbin	"Exp4_012.raw"
Exp4_013.raw		incbin	"Exp4_013.raw"
Exp4_014.raw		incbin	"Exp4_014.raw"
Exp4_015.raw		incbin	"Exp4_015.raw"
Exp4_016.raw		incbin	"Exp4_016.raw"
Exp4_017.raw		incbin	"Exp4_017.raw"
Exp4_018.raw		incbin	"Exp4_018.raw"
Exp4_019.raw		incbin	"Exp4_019.raw"
Exp4_020.raw		incbin	"Exp4_020.raw"
Exp4_021.raw		ds.b	320

Exp4_001.msk		incbin	"Exp4_001.msk"
Exp4_002.msk		incbin	"Exp4_002.msk"
Exp4_003.msk		incbin	"Exp4_003.msk"
Exp4_004.msk		incbin	"Exp4_004.msk"
Exp4_005.msk		incbin	"Exp4_005.msk"
Exp4_006.msk		incbin	"Exp4_006.msk"
Exp4_007.msk		incbin	"Exp4_007.msk"
Exp4_008.msk		incbin	"Exp4_008.msk"
Exp4_009.msk		incbin	"Exp4_009.msk"
Exp4_010.msk		incbin	"Exp4_010.msk"
Exp4_011.msk		incbin	"Exp4_011.msk"
Exp4_012.msk		incbin	"Exp4_012.msk"
Exp4_013.msk		incbin	"Exp4_013.msk"
Exp4_014.msk		incbin	"Exp4_014.msk"
Exp4_015.msk		incbin	"Exp4_015.msk"
Exp4_016.msk		incbin	"Exp4_016.msk"
Exp4_017.msk		incbin	"Exp4_017.msk"
Exp4_018.msk		incbin	"Exp4_018.msk"
Exp4_019.msk		incbin	"Exp4_019.msk"
Exp4_020.msk		incbin	"Exp4_020.msk"
Exp4_021.msk		ds.b	80

Exp3_001.raw		incbin	"Exp3_001.raw"
Exp3_002.raw		incbin	"Exp3_002.raw"
Exp3_003.raw		incbin	"Exp3_003.raw"
Exp3_004.raw		incbin	"Exp3_004.raw"
Exp3_005.raw		incbin	"Exp3_005.raw"
Exp3_006.raw		incbin	"Exp3_006.raw"
Exp3_007.raw		incbin	"Exp3_007.raw"
Exp3_008.raw		incbin	"Exp3_008.raw"
Exp3_009.raw		incbin	"Exp3_009.raw"
Exp3_010.raw		incbin	"Exp3_010.raw"
Exp3_011.raw		incbin	"Exp3_011.raw"
Exp3_012.raw		incbin	"Exp3_012.raw"
Exp3_013.raw		incbin	"Exp3_013.raw"
Exp3_014.raw		incbin	"Exp3_014.raw"
Exp3_015.raw		incbin	"Exp3_015.raw"
Exp3_016.raw		incbin	"Exp3_016.raw"
Exp3_017.raw		incbin	"Exp3_017.raw"
Exp3_018.raw		incbin	"Exp3_018.raw"
Exp3_019.raw		incbin	"Exp3_019.raw"
Exp3_020.raw		incbin	"Exp3_020.raw"
Exp3_021.raw		ds.b	432

Exp3_001.msk		incbin	"Exp3_001.msk"
Exp3_002.msk		incbin	"Exp3_002.msk"
Exp3_003.msk		incbin	"Exp3_003.msk"
Exp3_004.msk		incbin	"Exp3_004.msk"
Exp3_005.msk		incbin	"Exp3_005.msk"
Exp3_006.msk		incbin	"Exp3_006.msk"
Exp3_007.msk		incbin	"Exp3_007.msk"
Exp3_008.msk		incbin	"Exp3_008.msk"
Exp3_009.msk		incbin	"Exp3_009.msk"
Exp3_010.msk		incbin	"Exp3_010.msk"
Exp3_011.msk		incbin	"Exp3_011.msk"
Exp3_012.msk		incbin	"Exp3_012.msk"
Exp3_013.msk		incbin	"Exp3_013.msk"
Exp3_014.msk		incbin	"Exp3_014.msk"
Exp3_015.msk		incbin	"Exp3_015.msk"
Exp3_016.msk		incbin	"Exp3_016.msk"
Exp3_017.msk		incbin	"Exp3_017.msk"
Exp3_018.msk		incbin	"Exp3_018.msk"
Exp3_019.msk		incbin	"Exp3_019.msk"
Exp3_020.msk		incbin	"Exp3_020.msk"
Exp3_021.msk		ds.b	108

Exp2_001.raw		incbin	"Exp2_001.raw"
Exp2_002.raw		incbin	"Exp2_002.raw"
Exp2_003.raw		incbin	"Exp2_003.raw"
Exp2_004.raw		incbin	"Exp2_004.raw"
Exp2_005.raw		incbin	"Exp2_005.raw"
Exp2_006.raw		incbin	"Exp2_006.raw"
Exp2_007.raw		incbin	"Exp2_007.raw"
Exp2_008.raw		incbin	"Exp2_008.raw"
Exp2_009.raw		incbin	"Exp2_009.raw"
Exp2_010.raw		incbin	"Exp2_010.raw"
Exp2_011.raw		incbin	"Exp2_011.raw"
Exp2_012.raw		incbin	"Exp2_012.raw"
Exp2_013.raw		incbin	"Exp2_013.raw"
Exp2_014.raw		incbin	"Exp2_014.raw"
Exp2_015.raw		incbin	"Exp2_015.raw"
Exp2_016.raw		incbin	"Exp2_016.raw"
Exp2_017.raw		incbin	"Exp2_017.raw"
Exp2_018.raw		incbin	"Exp2_018.raw"
Exp2_019.raw		incbin	"Exp2_019.raw"
Exp2_020.raw		incbin	"Exp2_020.raw"
Exp2_021.raw		ds.b	672

Exp2_001.msk		incbin	"Exp2_001.msk"
Exp2_002.msk		incbin	"Exp2_002.msk"
Exp2_003.msk		incbin	"Exp2_003.msk"
Exp2_004.msk		incbin	"Exp2_004.msk"
Exp2_005.msk		incbin	"Exp2_005.msk"
Exp2_006.msk		incbin	"Exp2_006.msk"
Exp2_007.msk		incbin	"Exp2_007.msk"
Exp2_008.msk		incbin	"Exp2_008.msk"
Exp2_009.msk		incbin	"Exp2_009.msk"
Exp2_010.msk		incbin	"Exp2_010.msk"
Exp2_011.msk		incbin	"Exp2_011.msk"
Exp2_012.msk		incbin	"Exp2_012.msk"
Exp2_013.msk		incbin	"Exp2_013.msk"
Exp2_014.msk		incbin	"Exp2_014.msk"
Exp2_015.msk		incbin	"Exp2_015.msk"
Exp2_016.msk		incbin	"Exp2_016.msk"
Exp2_017.msk		incbin	"Exp2_017.msk"
Exp2_018.msk		incbin	"Exp2_018.msk"
Exp2_019.msk		incbin	"Exp2_019.msk"
Exp2_020.msk		incbin	"Exp2_020.msk"
Exp2_021.msk		ds.b	168

Exp1_001.raw		incbin	"Exp1_001.raw"
Exp1_002.raw		incbin	"Exp1_002.raw"
Exp1_003.raw		incbin	"Exp1_003.raw"
Exp1_004.raw		incbin	"Exp1_004.raw"
Exp1_005.raw		incbin	"Exp1_005.raw"
Exp1_006.raw		incbin	"Exp1_006.raw"
Exp1_007.raw		incbin	"Exp1_007.raw"
Exp1_008.raw		incbin	"Exp1_008.raw"
Exp1_009.raw		incbin	"Exp1_009.raw"
Exp1_010.raw		incbin	"Exp1_010.raw"
Exp1_011.raw		incbin	"Exp1_011.raw"
Exp1_012.raw		incbin	"Exp1_012.raw"
Exp1_013.raw		incbin	"Exp1_013.raw"
Exp1_014.raw		incbin	"Exp1_014.raw"
Exp1_015.raw		incbin	"Exp1_015.raw"
Exp1_016.raw		incbin	"Exp1_016.raw"
Exp1_017.raw		incbin	"Exp1_017.raw"
Exp1_018.raw		incbin	"Exp1_018.raw"
Exp1_019.raw		incbin	"Exp1_019.raw"
Exp1_020.raw		incbin	"Exp1_020.raw"
Exp1_021.raw		ds.b	928

Exp1_001.msk		incbin	"Exp1_001.msk"
Exp1_002.msk		incbin	"Exp1_002.msk"
Exp1_003.msk		incbin	"Exp1_003.msk"
Exp1_004.msk		incbin	"Exp1_004.msk"
Exp1_005.msk		incbin	"Exp1_005.msk"
Exp1_006.msk		incbin	"Exp1_006.msk"
Exp1_007.msk		incbin	"Exp1_007.msk"
Exp1_008.msk		incbin	"Exp1_008.msk"
Exp1_009.msk		incbin	"Exp1_009.msk"
Exp1_010.msk		incbin	"Exp1_010.msk"
Exp1_011.msk		incbin	"Exp1_011.msk"
Exp1_012.msk		incbin	"Exp1_012.msk"
Exp1_013.msk		incbin	"Exp1_013.msk"
Exp1_014.msk		incbin	"Exp1_014.msk"
Exp1_015.msk		incbin	"Exp1_015.msk"
Exp1_016.msk		incbin	"Exp1_016.msk"
Exp1_017.msk		incbin	"Exp1_017.msk"
Exp1_018.msk		incbin	"Exp1_018.msk"
Exp1_019.msk		incbin	"Exp1_019.msk"
Exp1_020.msk		incbin	"Exp1_020.msk"
Exp1_021.msk		ds.b	232

