;/* Alien Wave Tasks
  * 
  * $Project	: <<< ENIGMA >>>
  * $Level No.	: <<< LEVEL FOUR >>>
  * $Alien Wave	: <<< 5 >>>
  * $Author(s)	: Lee Smith & Trevor Mensah
  *
  * $Difficulty	: A spinning ship made of balls attempts to use fast movements
  * $Info	: to crash into you.. shoot it before it gets close..
  *		: Just before moving, it trembles, just to give the player
  *		: some indication to pay attention..
  */

 BEGIN_PROC	Wave5_1
		SETANIM	_Ball2
		SETRPOS	0,0,18,9,XMAX,120
		ROTATE	20,20,0,0,0,0,32
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_2
		SETANIM	_Ball1
		SETRPOS	0,0,18,9,XMAX,120
		ROTATE	8,8,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_3
		SETANIM	_Ball2
		SETRPOS	0,0,18,9,XMAX,120
		ROTATE	12,12,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_4
		SETANIM	_ball1
		SETRPOS	0,0,18,9,XMAX,120	botleft
		ROTATE	16,16,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_5
		SETANIM	_ball2
		SETRPOS	0,0,18,9,XMAX,110
		ROTATE	0,0,0,0,0,0,31
		ROTATE	0,0,0,0,-1,0,210
		ROTATE	0,0,0,0,0,0,50

		SETREG	0,R2
loop1:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop1
		ROTATE	0,0,0,0,-43,-10,5
		ROTATE	0,0,0,0,0,0,100
loop2:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop2
		ROTATE	0,0,0,0,-20,20,5
		ROTATE	0,0,0,0,0,0,100
loop3:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop3
		ROTATE	0,0,0,0,63,-16,6
		ROTATE	0,0,0,0,0,0,100
loop4:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop4
		ROTATE	0,0,0,0,-93,1,4
		ROTATE	0,0,0,0,0,0,100
loop5:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop5
		ROTATE	0,0,0,0,-53,51,4
		ROTATE	0,0,0,0,0,0,100
loop6:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop6
		ROTATE	0,0,0,0,0,-60,4
		ROTATE	0,0,0,0,0,0,100
loop7:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop7
		ROTATE	0,0,0,0,110,40,4
		ROTATE	0,0,0,0,0,0,100
loop8:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop8
		ROTATE	0,0,0,0,47,-40,4
		ROTATE	0,0,0,0,0,0,100
loop9:		ROTATE	0,0,0,0,1,1,2
		ROTATE	0,0,0,0,-1,-1,2
		loop	10,loop9
		ROTATE	0,0,0,0,-29,22,4
		ROTATE	0,0,0,0,0,0,100
		
		ADDREG	1,R2
		IFRNE	R2,2,loop1
endy:		ROTATE	0,0,0,0,-1,0,550
		DO_PROC	WaitSync
 PROC_RTS

 BEGIN_PROC	Wave5_6
		SETANIM	_ball1
		SETRPOS	0,0,36,18,XMAX,120	;topleft
		ROTATE	18,18,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_7
		SETANIM	_Ball1			;topright
		SETRPOS	0,0,36,18,XMAX,120
		ROTATE	10,10,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_8
		SETANIM	_Ball2
		SETRPOS	0,0,72,36,XMAX,120
		ROTATE	14,14,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_9
		SETANIM	_Ball2
		SETRPOS	0,0,36,18,XMAX,120		topgunin
		ROTATE	14,14,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	Wave5_10
		SETANIM	_Ball1
		SETRPOS	0,0,54,27,XMAX,120		topgunout
		ROTATE	14,14,0,0,0,0,31
		ROTATE	9,9,0,0,-1,0,210
		ROTATE	9,9,0,0,0,0,50
		DO_PROC	fast
 PROC_RTS

 BEGIN_PROC	fast ****************************************************

		SETREG	0,R1		
loop11:		ROTATE	18,18,0,0,1,1,2
		ROTATE	18,18,0,0,-1,-1,2
		loop	10,loop11
		ROTATE	9,9,0,0,-43,-10,5
		ROTATE	-9,-9,0,0,0,0,100

loop22:		ROTATE	-18,-18,0,0,1,1,2
		ROTATE	-18,-18,0,0,-1,-1,2
		loop	10,loop22
		ROTATE	-9,-9,0,0,-20,20,5
		ROTATE	9,9,0,0,0,0,100

loop33:		ROTATE	18,18,0,0,1,1,2
		ROTATE	18,18,0,0,-1,-1,2
		loop	10,loop33
		ROTATE	9,9,0,0,63,-16,6
		ROTATE	-9,-9,0,0,0,0,100

loop44:		ROTATE	-18,-18,0,0,1,1,2
		ROTATE	-18,-18,0,0,-1,-1,2
		loop	10,loop44
		ROTATE	-9,-9,0,0,-93,1,4
		ROTATE	9,9,0,0,0,0,100

loop55:		ROTATE	18,18,0,0,1,1,2
		ROTATE	18,18,0,0,-1,-1,2
		loop	10,loop55
		ROTATE	9,9,0,0,-53,51,4
		ROTATE	-9,-9,0,0,0,0,100

loop66:		ROTATE	-18,-18,0,0,1,1,2
		ROTATE	-18,-18,0,0,-1,-1,2
		loop	10,loop66
		ROTATE 	-9,-9,0,0,0,-60,4
		ROTATE	9,9,0,0,0,0,100

loop77:		ROTATE	18,18,0,0,1,1,2
		ROTATE	18,18,0,0,-1,-1,2
		loop	10,loop77
		ROTATE 	9,9,0,0,110,40,4
		ROTATE	-9,-9,0,0,0,0,100

loop88:		ROTATE	-18,-18,0,0,1,1,2
		ROTATE	-18,-18,0,0,-1,-1,2
		loop	10,loop88
		ROTATE 	-9,-9,0,0,47,-40,4
		ROTATE	9,9,0,0,0,0,100

loop99:		ROTATE	18,18,0,0,1,1,2
		ROTATE	18,18,0,0,-1,-1,2
		loop	10,loop99
		ROTATE 	9,9,0,0,-29,22,4
		ROTATE	9,9,0,0,0,0,100

		ADDREG	1,R1
		IFRNE	R1,2,loop11
end:		ROTATE	9,9,0,0,-1,0,550
		DO_PROC	WaitSync
 PROC_RTS
