;/* Alien Wave Tasks
  * 
  * $Project	: <<< ENIGMA >>>
  * $Level No.	: <<< LEVEL FOUR >>>
  * $Alien Wave	: <<< 8 >>>
  * $Author(s)	: Lee Smith & Trevor Mensah
  *
  * $Difficulty	: Hard..
  * $Info	: This is the last wave of level4.1 two sets of swirlies
  *		: Meet up on the right of the screen, join together and
  *		: cause major havok.. Try to dodge the speeding ram-swirly
  */

 BEGIN_PROC	Wave8_1
		SETREG	0,R1
		SETREG	0,R2
		DO_PROC	moves
		SETREG	150,R1
		SETREG	75,R2
		DO_PROC	bibi
 PROC_RTS

 BEGIN_PROC	Wave8_2
		SETREG	30,R1
		SETREG	15,R2
		DO_PROC	moves
		SETREG	120,R1
		SETREG	60,R2
		DO_PROC	bibi
 PROC_RTS

 BEGIN_PROC	Wave8_3
		SETREG	60,R1
		SETREG	30,R2
		DO_PROC	moves
		SETREG	90,R1
		SETREG	45,R2
		DO_PROC	bibi
 PROC_RTS

 BEGIN_PROC	Wave8_4
		SETREG	90,R1
		SETREG	45,R2
		DO_PROC	moves
		SETREG	60,R1
		SETREG	30,R2
		DO_PROC	bibi
 PROC_RTS

 BEGIN_PROC	Wave8_5
		SETREG	120,R1
		SETREG	60,R2
		DO_PROC	moves
		SETREG	30,R1
		SETREG	15,R2
		DO_PROC	bibi
 PROC_RTS

 BEGIN_PROC	Wave8_6
		SETREG	0,R1
		SETREG	0,R2
		DO_PROC	moves2
		SETREG	-30,R1
		SETREG	-15,R2
		DO_PROC	bi
 PROC_RTS

 BEGIN_PROC	Wave8_7
		SETREG	30,R1
		SETREG	15,R2
		DO_PROC	moves2
		SETREG	-60,R1
		SETREG	-30,R2
		DO_PROC	bi
 PROC_RTS

 BEGIN_PROC	Wave8_8
		SETREG	60,R1
		SETREG	30,R2
		DO_PROC	moves2
		SETREG	-90,R1
		SETREG	-45,R2
		DO_PROC	bi
 PROC_RTS

 BEGIN_PROC	Wave8_9
		SETREG	90,R1
		SETREG	45,R2
		DO_PROC	moves2
		SETREG	-120,R1
		SETREG	-60,R2
		DO_PROC	bi
 PROC_RTS

 BEGIN_PROC	Wave8_10
		SETREG	120,R1
		SETREG	60,R2
		DO_PROC	moves2
		SETREG	-150,R1
		SETREG	-75,R2
		DO_PROC	bi
 PROC_RTS


 BEGIN_PROC	moves ***************************************
mov:		SETREG	68,R3
		SETANIM	_lavadrop
		SETRPOS	0,0,R1,R2,XMIN,R3		
		ROTATE	5,5,0,0,4,0,130
		ROTATE	5,5,0,0,0,0,281
		ROTATE	3,3,0,0,0,0,2
 PROC_RTS

 BEGIN_PROC	moves2 ***************************************
		WAIT	128		
		
		SETREG	202,R3
ar:		SETANIM	_lavadrop
		SETRPOS	0,0,R1,R2,XMIN,R3		
		ROTATE	-5,-5,0,0,4,0,130
		ROTATE	-5,-5,0,0,0,0,128
		ROTATE	0,0,0,0,0,0,27
		
 PROC_RTS

 BEGIN_PROC	bi **********************************************
		SUBREG	-16,R1
		SUBREG	-8,R2
		
		SETRPOS	0,0,R1,R2,532,135
		DO_PROC	cir
 PROC_RTS

 BEGIN_PROC	bibi **********************************************
		SUBREG	16,R1
		SUBREG	8,R2
		SETRPOS	0,0,R1,R2,532,135
		DO_PROC	cir
 PROC_RTS

 BEGIN_PROC	cir **********************************************

		SETREG	5,R5
		SETREG	5,R6
		ROTATE	R5,R6,0,0,0,0,100
speedup:	ROTATE	R5,R6,0,0,0,0,40
		ADDREG	1,R5
		ADDREG	1,R6
		IFRNE	R5,10,speedup	
		ROTATE	R5,R6,0,0,0,0,50			
		ROTATE	R5,R6,0,0,-33,0,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-33,-12,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,46,0,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-36,30,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,6,-40,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,66,30,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-50,-31,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,6,30,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-36,0,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,66,-30,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-66,30,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,56,-5,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-16,-14,8
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,16,10,10
		ROTATE	R5,R6,0,0,0,0,60
		ROTATE	R5,R6,0,0,-16,0,37
		WAIT	100
		SETRPOS	0,0,R1,R2,-50,270
		ROTATE	R5,R6,0,0,5,-2,200
		DO_PROC	WaitSync
 PROC_RTS
